import type { Plugin } from '@vue/runtime-core';
import type { EmptyProps } from 'ant-design-vue';
import type { ShowCountProps } from 'ant-design-vue/lib/input/inputProps';
import type { FocusEventHandler, ChangeEventHandler, KeyboardEventHandler } from 'ant-design-vue/lib/_util/EventInterface';
import type { ButtonSize } from 'ant-design-vue/lib/button';
import type { LiteralUnion, VueNode } from 'ant-design-vue/lib/_util/type';
import type { Recordable } from '../typings/global';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, Ref, ComputedRef, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            options: Recordable<any>[];
            value: any[];
            placeholder: string;
            allowClear: boolean;
            fieldNames: {
                label: string;
                value: string;
            };
            showSearch: boolean;
            maxTagCount: number;
            maxTagTextLength: number;
            showArrow: boolean;
            resultField: string;
            numberToString: boolean;
            params: Recordable<any>;
            tokenSeparators: string;
            optionFilterProp: string;
            immediate: boolean;
            alwaysLoad: boolean;
            position: string;
            showEmpty: boolean;
            checkAllText: string;
        }> & Omit<Readonly<{
            value?: unknown;
            allowClear?: unknown;
            api?: unknown;
            resultField?: unknown;
            numberToString?: unknown;
            fieldNames?: unknown;
            params?: unknown;
            immediate?: unknown;
            alwaysLoad?: unknown;
            placeholder?: unknown;
            options?: unknown;
            showArrow?: unknown;
            showSearch?: unknown;
            searchInputProps?: unknown;
            optionFilterProp?: unknown;
            showEmpty?: unknown;
            emptyProps?: unknown;
            tokenSeparators?: unknown;
            checkAllText?: unknown;
            position?: unknown;
            maxTagCount?: unknown;
            maxTagTextLength?: unknown;
        } & {
            options: Recordable<any>[];
            value: any[];
            placeholder: string;
            allowClear: boolean;
            fieldNames: {
                label: string;
                value: string;
            };
            showSearch: boolean;
            maxTagCount: number;
            maxTagTextLength: number;
            showArrow: boolean;
            resultField: string;
            numberToString: boolean;
            params: Recordable<any>;
            tokenSeparators: string;
            optionFilterProp: string;
            immediate: boolean;
            alwaysLoad: boolean;
            position: string;
            showEmpty: boolean;
            checkAllText: string;
        } & {
            api?: ((...args: any[]) => Promise<Recordable<any> | {
                value: string | number;
                label: string;
                disabled?: boolean | undefined;
                show?: boolean | undefined;
            }[]>) | undefined;
            searchInputProps?: Partial<{
                id?: unknown;
                prefixCls?: unknown;
                inputPrefixCls?: unknown;
                defaultValue?: unknown;
                value?: unknown;
                placeholder?: unknown;
                autocomplete?: unknown;
                type?: unknown;
                name?: unknown;
                size?: unknown;
                disabled?: unknown;
                readonly?: unknown;
                addonBefore?: unknown;
                addonAfter?: unknown;
                prefix?: unknown;
                suffix?: unknown;
                autofocus?: unknown;
                allowClear?: unknown;
                lazy?: unknown;
                maxlength?: unknown;
                loading?: unknown;
                bordered?: unknown;
                showCount?: unknown;
                htmlSize?: unknown;
                onPressEnter?: unknown;
                onKeydown?: unknown;
                onKeyup?: unknown;
                onFocus?: unknown;
                onBlur?: unknown;
                onChange?: unknown;
                onInput?: unknown;
                'onUpdate:value'?: unknown;
                valueModifiers?: unknown;
                hidden?: unknown;
            } & {
                type: LiteralUnion<"number" | "search" | "button" | "text" | "submit" | "reset" | "color" | "time" | "image" | "hidden" | "date" | "week" | "month" | "checkbox" | "radio" | "range" | "tel" | "url" | "email" | "datetime-local" | "file" | "password", string>;
                lazy: boolean;
                hidden: boolean;
            } & {
                size?: ButtonSize;
                bordered?: boolean | undefined;
                "onUpdate:value"?: ((val: string) => void) | undefined;
                onFocus?: FocusEventHandler | undefined;
                onBlur?: FocusEventHandler | undefined;
                onChange?: ChangeEventHandler | undefined;
                onKeydown?: KeyboardEventHandler | undefined;
                onKeyup?: KeyboardEventHandler | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                value?: string | number | undefined;
                loading?: boolean | undefined;
                defaultValue?: string | number | undefined;
                placeholder?: string | number | undefined;
                allowClear?: boolean | undefined;
                autofocus?: boolean | undefined;
                id?: string | undefined;
                name?: string | undefined;
                onInput?: ChangeEventHandler | undefined;
                readonly?: boolean | undefined;
                inputPrefixCls?: string | undefined;
                autocomplete?: string | undefined;
                addonBefore?: any;
                addonAfter?: any;
                prefix?: any;
                suffix?: any;
                maxlength?: number | undefined;
                showCount?: boolean | ShowCountProps | undefined;
                htmlSize?: number | undefined;
                onPressEnter?: KeyboardEventHandler | undefined;
                valueModifiers?: Record<string, any> | undefined;
            }> | undefined;
            emptyProps?: EmptyProps | undefined;
        }> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onChange?: ((...args: any[]) => any) | undefined;
            onSearch?: ((...args: any[]) => any) | undefined;
            "onOptions-change"?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "options" | "value" | "placeholder" | "allowClear" | "fieldNames" | "showSearch" | "maxTagCount" | "maxTagTextLength" | "showArrow" | "resultField" | "numberToString" | "params" | "tokenSeparators" | "optionFilterProp" | "immediate" | "alwaysLoad" | "position" | "showEmpty" | "checkAllText">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "change" | "update:value" | "options-change" | "search", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            value?: unknown;
            allowClear?: unknown;
            api?: unknown;
            resultField?: unknown;
            numberToString?: unknown;
            fieldNames?: unknown;
            params?: unknown;
            immediate?: unknown;
            alwaysLoad?: unknown;
            placeholder?: unknown;
            options?: unknown;
            showArrow?: unknown;
            showSearch?: unknown;
            searchInputProps?: unknown;
            optionFilterProp?: unknown;
            showEmpty?: unknown;
            emptyProps?: unknown;
            tokenSeparators?: unknown;
            checkAllText?: unknown;
            position?: unknown;
            maxTagCount?: unknown;
            maxTagTextLength?: unknown;
        } & {
            options: Recordable<any>[];
            value: any[];
            placeholder: string;
            allowClear: boolean;
            fieldNames: {
                label: string;
                value: string;
            };
            showSearch: boolean;
            maxTagCount: number;
            maxTagTextLength: number;
            showArrow: boolean;
            resultField: string;
            numberToString: boolean;
            params: Recordable<any>;
            tokenSeparators: string;
            optionFilterProp: string;
            immediate: boolean;
            alwaysLoad: boolean;
            position: string;
            showEmpty: boolean;
            checkAllText: string;
        } & {
            api?: ((...args: any[]) => Promise<Recordable<any> | {
                value: string | number;
                label: string;
                disabled?: boolean | undefined;
                show?: boolean | undefined;
            }[]>) | undefined;
            searchInputProps?: Partial<{
                id?: unknown;
                prefixCls?: unknown;
                inputPrefixCls?: unknown;
                defaultValue?: unknown;
                value?: unknown;
                placeholder?: unknown;
                autocomplete?: unknown;
                type?: unknown;
                name?: unknown;
                size?: unknown;
                disabled?: unknown;
                readonly?: unknown;
                addonBefore?: unknown;
                addonAfter?: unknown;
                prefix?: unknown;
                suffix?: unknown;
                autofocus?: unknown;
                allowClear?: unknown;
                lazy?: unknown;
                maxlength?: unknown;
                loading?: unknown;
                bordered?: unknown;
                showCount?: unknown;
                htmlSize?: unknown;
                onPressEnter?: unknown;
                onKeydown?: unknown;
                onKeyup?: unknown;
                onFocus?: unknown;
                onBlur?: unknown;
                onChange?: unknown;
                onInput?: unknown;
                'onUpdate:value'?: unknown;
                valueModifiers?: unknown;
                hidden?: unknown;
            } & {
                type: LiteralUnion<"number" | "search" | "button" | "text" | "submit" | "reset" | "color" | "time" | "image" | "hidden" | "date" | "week" | "month" | "checkbox" | "radio" | "range" | "tel" | "url" | "email" | "datetime-local" | "file" | "password", string>;
                lazy: boolean;
                hidden: boolean;
            } & {
                size?: ButtonSize;
                bordered?: boolean | undefined;
                "onUpdate:value"?: ((val: string) => void) | undefined;
                onFocus?: FocusEventHandler | undefined;
                onBlur?: FocusEventHandler | undefined;
                onChange?: ChangeEventHandler | undefined;
                onKeydown?: KeyboardEventHandler | undefined;
                onKeyup?: KeyboardEventHandler | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                value?: string | number | undefined;
                loading?: boolean | undefined;
                defaultValue?: string | number | undefined;
                placeholder?: string | number | undefined;
                allowClear?: boolean | undefined;
                autofocus?: boolean | undefined;
                id?: string | undefined;
                name?: string | undefined;
                onInput?: ChangeEventHandler | undefined;
                readonly?: boolean | undefined;
                inputPrefixCls?: string | undefined;
                autocomplete?: string | undefined;
                addonBefore?: any;
                addonAfter?: any;
                prefix?: any;
                suffix?: any;
                maxlength?: number | undefined;
                showCount?: boolean | ShowCountProps | undefined;
                htmlSize?: number | undefined;
                onPressEnter?: KeyboardEventHandler | undefined;
                valueModifiers?: Record<string, any> | undefined;
            }> | undefined;
            emptyProps?: EmptyProps | undefined;
        }> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onChange?: ((...args: any[]) => any) | undefined;
            onSearch?: ((...args: any[]) => any) | undefined;
            "onOptions-change"?: ((...args: any[]) => any) | undefined;
        }, {
            onCheckAllChange: (e: any) => void;
            selectorElRef: Ref<any>;
            innerValue: Ref<string[] | undefined>;
            prefixCls: string;
            loading: Ref<boolean>;
            innerOptions: ComputedRef<{
                value: string | number;
                label: string;
                disabled?: boolean | undefined;
                show?: boolean | undefined;
            }[]>;
            handleChange: () => void;
            handleVisibleChange: (open: boolean) => void;
            checkedList: Ref<(string | number)[]>;
            onChange: (checkedData: (string | number)[]) => void;
            searchValue: Ref<string>;
            simpleImage: VueNode;
            handleWheel: (e: WheelEvent) => void;
            handleClick: () => void;
            opened: Ref<boolean>;
            isEmpty: ComputedRef<boolean>;
            getStyle: ComputedRef<{
                left: string;
                right: string;
                marginLeft?: undefined;
            } | {
                left: string;
                marginLeft: string;
                right?: undefined;
            }>;
            title: Ref<string>;
            indeterminate: Ref<boolean>;
            checkAll: Ref<boolean>;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value" | "options-change" | "search")[], string, {
            options: Recordable<any>[];
            value: any[];
            placeholder: string;
            allowClear: boolean;
            fieldNames: {
                label: string;
                value: string;
            };
            showSearch: boolean;
            maxTagCount: number;
            maxTagTextLength: number;
            showArrow: boolean;
            resultField: string;
            numberToString: boolean;
            params: Recordable<any>;
            tokenSeparators: string;
            optionFilterProp: string;
            immediate: boolean;
            alwaysLoad: boolean;
            position: string;
            showEmpty: boolean;
            checkAllText: string;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        value?: unknown;
        allowClear?: unknown;
        api?: unknown;
        resultField?: unknown;
        numberToString?: unknown;
        fieldNames?: unknown;
        params?: unknown;
        immediate?: unknown;
        alwaysLoad?: unknown;
        placeholder?: unknown;
        options?: unknown;
        showArrow?: unknown;
        showSearch?: unknown;
        searchInputProps?: unknown;
        optionFilterProp?: unknown;
        showEmpty?: unknown;
        emptyProps?: unknown;
        tokenSeparators?: unknown;
        checkAllText?: unknown;
        position?: unknown;
        maxTagCount?: unknown;
        maxTagTextLength?: unknown;
    } & {
        options: Recordable<any>[];
        value: any[];
        placeholder: string;
        allowClear: boolean;
        fieldNames: {
            label: string;
            value: string;
        };
        showSearch: boolean;
        maxTagCount: number;
        maxTagTextLength: number;
        showArrow: boolean;
        resultField: string;
        numberToString: boolean;
        params: Recordable<any>;
        tokenSeparators: string;
        optionFilterProp: string;
        immediate: boolean;
        alwaysLoad: boolean;
        position: string;
        showEmpty: boolean;
        checkAllText: string;
    } & {
        api?: ((...args: any[]) => Promise<Recordable<any> | {
            value: string | number;
            label: string;
            disabled?: boolean | undefined;
            show?: boolean | undefined;
        }[]>) | undefined;
        searchInputProps?: Partial<{
            id?: unknown;
            prefixCls?: unknown;
            inputPrefixCls?: unknown;
            defaultValue?: unknown;
            value?: unknown;
            placeholder?: unknown;
            autocomplete?: unknown;
            type?: unknown;
            name?: unknown;
            size?: unknown;
            disabled?: unknown;
            readonly?: unknown;
            addonBefore?: unknown;
            addonAfter?: unknown;
            prefix?: unknown;
            suffix?: unknown;
            autofocus?: unknown;
            allowClear?: unknown;
            lazy?: unknown;
            maxlength?: unknown;
            loading?: unknown;
            bordered?: unknown;
            showCount?: unknown;
            htmlSize?: unknown;
            onPressEnter?: unknown;
            onKeydown?: unknown;
            onKeyup?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            onChange?: unknown;
            onInput?: unknown;
            'onUpdate:value'?: unknown;
            valueModifiers?: unknown;
            hidden?: unknown;
        } & {
            type: LiteralUnion<"number" | "search" | "button" | "text" | "submit" | "reset" | "color" | "time" | "image" | "hidden" | "date" | "week" | "month" | "checkbox" | "radio" | "range" | "tel" | "url" | "email" | "datetime-local" | "file" | "password", string>;
            lazy: boolean;
            hidden: boolean;
        } & {
            size?: ButtonSize;
            bordered?: boolean | undefined;
            "onUpdate:value"?: ((val: string) => void) | undefined;
            onFocus?: FocusEventHandler | undefined;
            onBlur?: FocusEventHandler | undefined;
            onChange?: ChangeEventHandler | undefined;
            onKeydown?: KeyboardEventHandler | undefined;
            onKeyup?: KeyboardEventHandler | undefined;
            prefixCls?: string | undefined;
            disabled?: boolean | undefined;
            value?: string | number | undefined;
            loading?: boolean | undefined;
            defaultValue?: string | number | undefined;
            placeholder?: string | number | undefined;
            allowClear?: boolean | undefined;
            autofocus?: boolean | undefined;
            id?: string | undefined;
            name?: string | undefined;
            onInput?: ChangeEventHandler | undefined;
            readonly?: boolean | undefined;
            inputPrefixCls?: string | undefined;
            autocomplete?: string | undefined;
            addonBefore?: any;
            addonAfter?: any;
            prefix?: any;
            suffix?: any;
            maxlength?: number | undefined;
            showCount?: boolean | ShowCountProps | undefined;
            htmlSize?: number | undefined;
            onPressEnter?: KeyboardEventHandler | undefined;
            valueModifiers?: Record<string, any> | undefined;
        }> | undefined;
        emptyProps?: EmptyProps | undefined;
    }> & {
        "onUpdate:value"?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
        onSearch?: ((...args: any[]) => any) | undefined;
        "onOptions-change"?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        onCheckAllChange: (e: any) => void;
        selectorElRef: Ref<any>;
        innerValue: Ref<string[] | undefined>;
        prefixCls: string;
        loading: Ref<boolean>;
        innerOptions: ComputedRef<{
            value: string | number;
            label: string;
            disabled?: boolean | undefined;
            show?: boolean | undefined;
        }[]>;
        handleChange: () => void;
        handleVisibleChange: (open: boolean) => void;
        checkedList: Ref<(string | number)[]>;
        onChange: (checkedData: (string | number)[]) => void;
        searchValue: Ref<string>;
        simpleImage: VueNode;
        handleWheel: (e: WheelEvent) => void;
        handleClick: () => void;
        opened: Ref<boolean>;
        isEmpty: ComputedRef<boolean>;
        getStyle: ComputedRef<{
            left: string;
            right: string;
            marginLeft?: undefined;
        } | {
            left: string;
            marginLeft: string;
            right?: undefined;
        }>;
        title: Ref<string>;
        indeterminate: Ref<boolean>;
        checkAll: Ref<boolean>;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    value?: unknown;
    allowClear?: unknown;
    api?: unknown;
    resultField?: unknown;
    numberToString?: unknown;
    fieldNames?: unknown;
    params?: unknown;
    immediate?: unknown;
    alwaysLoad?: unknown;
    placeholder?: unknown;
    options?: unknown;
    showArrow?: unknown;
    showSearch?: unknown;
    searchInputProps?: unknown;
    optionFilterProp?: unknown;
    showEmpty?: unknown;
    emptyProps?: unknown;
    tokenSeparators?: unknown;
    checkAllText?: unknown;
    position?: unknown;
    maxTagCount?: unknown;
    maxTagTextLength?: unknown;
} & {
    options: Recordable<any>[];
    value: any[];
    placeholder: string;
    allowClear: boolean;
    fieldNames: {
        label: string;
        value: string;
    };
    showSearch: boolean;
    maxTagCount: number;
    maxTagTextLength: number;
    showArrow: boolean;
    resultField: string;
    numberToString: boolean;
    params: Recordable<any>;
    tokenSeparators: string;
    optionFilterProp: string;
    immediate: boolean;
    alwaysLoad: boolean;
    position: string;
    showEmpty: boolean;
    checkAllText: string;
} & {
    api?: ((...args: any[]) => Promise<Recordable<any> | {
        value: string | number;
        label: string;
        disabled?: boolean | undefined;
        show?: boolean | undefined;
    }[]>) | undefined;
    searchInputProps?: Partial<{
        id?: unknown;
        prefixCls?: unknown;
        inputPrefixCls?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        placeholder?: unknown;
        autocomplete?: unknown;
        type?: unknown;
        name?: unknown;
        size?: unknown;
        disabled?: unknown;
        readonly?: unknown;
        addonBefore?: unknown;
        addonAfter?: unknown;
        prefix?: unknown;
        suffix?: unknown;
        autofocus?: unknown;
        allowClear?: unknown;
        lazy?: unknown;
        maxlength?: unknown;
        loading?: unknown;
        bordered?: unknown;
        showCount?: unknown;
        htmlSize?: unknown;
        onPressEnter?: unknown;
        onKeydown?: unknown;
        onKeyup?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onChange?: unknown;
        onInput?: unknown;
        'onUpdate:value'?: unknown;
        valueModifiers?: unknown;
        hidden?: unknown;
    } & {
        type: LiteralUnion<"number" | "search" | "button" | "text" | "submit" | "reset" | "color" | "time" | "image" | "hidden" | "date" | "week" | "month" | "checkbox" | "radio" | "range" | "tel" | "url" | "email" | "datetime-local" | "file" | "password", string>;
        lazy: boolean;
        hidden: boolean;
    } & {
        size?: ButtonSize;
        bordered?: boolean | undefined;
        "onUpdate:value"?: ((val: string) => void) | undefined;
        onFocus?: FocusEventHandler | undefined;
        onBlur?: FocusEventHandler | undefined;
        onChange?: ChangeEventHandler | undefined;
        onKeydown?: KeyboardEventHandler | undefined;
        onKeyup?: KeyboardEventHandler | undefined;
        prefixCls?: string | undefined;
        disabled?: boolean | undefined;
        value?: string | number | undefined;
        loading?: boolean | undefined;
        defaultValue?: string | number | undefined;
        placeholder?: string | number | undefined;
        allowClear?: boolean | undefined;
        autofocus?: boolean | undefined;
        id?: string | undefined;
        name?: string | undefined;
        onInput?: ChangeEventHandler | undefined;
        readonly?: boolean | undefined;
        inputPrefixCls?: string | undefined;
        autocomplete?: string | undefined;
        addonBefore?: any;
        addonAfter?: any;
        prefix?: any;
        suffix?: any;
        maxlength?: number | undefined;
        showCount?: boolean | ShowCountProps | undefined;
        htmlSize?: number | undefined;
        onPressEnter?: KeyboardEventHandler | undefined;
        valueModifiers?: Record<string, any> | undefined;
    }> | undefined;
    emptyProps?: EmptyProps | undefined;
}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    onSearch?: ((...args: any[]) => any) | undefined;
    "onOptions-change"?: ((...args: any[]) => any) | undefined;
}, {
    onCheckAllChange: (e: any) => void;
    selectorElRef: Ref<any>;
    innerValue: Ref<string[] | undefined>;
    prefixCls: string;
    loading: Ref<boolean>;
    innerOptions: ComputedRef<{
        value: string | number;
        label: string;
        disabled?: boolean | undefined;
        show?: boolean | undefined;
    }[]>;
    handleChange: () => void;
    handleVisibleChange: (open: boolean) => void;
    checkedList: Ref<(string | number)[]>;
    onChange: (checkedData: (string | number)[]) => void;
    searchValue: Ref<string>;
    simpleImage: VueNode;
    handleWheel: (e: WheelEvent) => void;
    handleClick: () => void;
    opened: Ref<boolean>;
    isEmpty: ComputedRef<boolean>;
    getStyle: ComputedRef<{
        left: string;
        right: string;
        marginLeft?: undefined;
    } | {
        left: string;
        marginLeft: string;
        right?: undefined;
    }>;
    title: Ref<string>;
    indeterminate: Ref<boolean>;
    checkAll: Ref<boolean>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value" | "options-change" | "search")[], "change" | "update:value" | "search" | "options-change", {
    options: Recordable<any>[];
    value: any[];
    placeholder: string;
    allowClear: boolean;
    fieldNames: {
        label: string;
        value: string;
    };
    showSearch: boolean;
    maxTagCount: number;
    maxTagTextLength: number;
    showArrow: boolean;
    resultField: string;
    numberToString: boolean;
    params: Recordable<any>;
    tokenSeparators: string;
    optionFilterProp: string;
    immediate: boolean;
    alwaysLoad: boolean;
    position: string;
    showEmpty: boolean;
    checkAllText: string;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
