import { Ref } from 'vue';
interface FormContext {
    resetAction: () => Promise<void>;
    submitAction: () => Promise<void>;
    getFieldsValue: () => Recordable;
    setFieldsValue: (values: Recordable<any>) => Promise<void>;
    formModel: Recordable;
    defaultValueRef: Ref<Recordable>;
    t: (key: string, ...args: any[]) => any;
}
export declare function createFormContextProvider(context: FormContext): {
    reactiveContext: {
        resetAction: () => Promise<void>;
        submitAction: () => Promise<void>;
        getFieldsValue: () => Recordable<any>;
        setFieldsValue: (values: Recordable<any>) => Promise<void>;
        formModel: {
            [x: string]: any;
        };
        defaultValueRef: Recordable<any>;
        t: (key: string, ...args: any[]) => any;
    };
};
export declare function useFormContextProvider(): FormContext;
export {};
