import type { Plugin } from '@vue/runtime-core';
import type { ButtonHTMLType } from 'ant-design-vue/lib/button/buttonTypes';
import type { ButtonType, ButtonSize, ButtonShape } from 'ant-design-vue/lib/button';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, WritableComputedRef, ComputedRef, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            width: string | number | undefined;
            icon: "success" | "error" | "warning" | "info";
            title: string;
            okType: ButtonType;
            okText: string;
            cancelText: string;
            cancelButtonProps: Partial<{
                prefixCls?: unknown;
                type?: unknown;
                htmlType?: unknown;
                shape?: unknown;
                size?: unknown;
                loading?: unknown;
                disabled?: unknown;
                ghost?: unknown;
                block?: unknown;
                danger?: unknown;
                icon?: unknown;
                href?: unknown;
                target?: unknown;
                title?: unknown;
                onClick?: unknown;
                onMousedown?: unknown;
            } & {
                loading: boolean | {
                    delay?: number | undefined;
                };
                htmlType: ButtonHTMLType;
            } & {
                size?: ButtonSize;
                onClick?: ((event: MouseEvent) => void) | undefined;
                onMousedown?: ((event: MouseEvent) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                type?: ButtonType | undefined;
                shape?: ButtonShape | undefined;
                ghost?: boolean | undefined;
                block?: boolean | undefined;
                danger?: boolean | undefined;
                icon?: any;
                href?: string | undefined;
                target?: string | undefined;
                title?: string | undefined;
            }> & {
                color?: string | undefined;
            };
            visible: boolean;
            maskClosable: boolean;
            confirmLoading: boolean;
            desc: string;
            subTitle: string;
            showOkBtn: boolean;
            showCancelBtn: boolean;
        }> & Omit<Readonly<{
            visible?: unknown;
            icon?: unknown;
            title?: unknown;
            subTitle?: unknown;
            desc?: unknown;
            width?: unknown;
            cancelText?: unknown;
            cancelButtonProps?: unknown;
            okButtonProps?: unknown;
            okText?: unknown;
            okType?: unknown;
            confirmLoading?: unknown;
            showOkBtn?: unknown;
            showCancelBtn?: unknown;
            maskClosable?: unknown;
            onOk?: unknown;
        } & {
            width: string | number | undefined;
            icon: "success" | "error" | "warning" | "info";
            title: string;
            okType: ButtonType;
            okText: string;
            cancelText: string;
            cancelButtonProps: Partial<{
                prefixCls?: unknown;
                type?: unknown;
                htmlType?: unknown;
                shape?: unknown;
                size?: unknown;
                loading?: unknown;
                disabled?: unknown;
                ghost?: unknown;
                block?: unknown;
                danger?: unknown;
                icon?: unknown;
                href?: unknown;
                target?: unknown;
                title?: unknown;
                onClick?: unknown;
                onMousedown?: unknown;
            } & {
                loading: boolean | {
                    delay?: number | undefined;
                };
                htmlType: ButtonHTMLType;
            } & {
                size?: ButtonSize;
                onClick?: ((event: MouseEvent) => void) | undefined;
                onMousedown?: ((event: MouseEvent) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                type?: ButtonType | undefined;
                shape?: ButtonShape | undefined;
                ghost?: boolean | undefined;
                block?: boolean | undefined;
                danger?: boolean | undefined;
                icon?: any;
                href?: string | undefined;
                target?: string | undefined;
                title?: string | undefined;
            }> & {
                color?: string | undefined;
            };
            visible: boolean;
            maskClosable: boolean;
            confirmLoading: boolean;
            desc: string;
            subTitle: string;
            showOkBtn: boolean;
            showCancelBtn: boolean;
        } & {
            okButtonProps?: (Partial<{
                prefixCls?: unknown;
                type?: unknown;
                htmlType?: unknown;
                shape?: unknown;
                size?: unknown;
                loading?: unknown;
                disabled?: unknown;
                ghost?: unknown;
                block?: unknown;
                danger?: unknown;
                icon?: unknown;
                href?: unknown;
                target?: unknown;
                title?: unknown;
                onClick?: unknown;
                onMousedown?: unknown;
            } & {
                loading: boolean | {
                    delay?: number | undefined;
                };
                htmlType: ButtonHTMLType;
            } & {
                size?: ButtonSize;
                onClick?: ((event: MouseEvent) => void) | undefined;
                onMousedown?: ((event: MouseEvent) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                type?: ButtonType | undefined;
                shape?: ButtonShape | undefined;
                ghost?: boolean | undefined;
                block?: boolean | undefined;
                danger?: boolean | undefined;
                icon?: any;
                href?: string | undefined;
                target?: string | undefined;
                title?: string | undefined;
            }> & {
                color?: string | undefined;
            }) | undefined;
            onOk?: ((e: MouseEvent) => void) | undefined;
        }> & {
            onCancel?: ((...args: any[]) => any) | undefined;
            "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
            onOk?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "width" | "icon" | "title" | "okType" | "okText" | "cancelText" | "cancelButtonProps" | "visible" | "maskClosable" | "confirmLoading" | "desc" | "subTitle" | "showOkBtn" | "showCancelBtn">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "update:visible" | "ok" | "cancel", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            visible?: unknown;
            icon?: unknown;
            title?: unknown;
            subTitle?: unknown;
            desc?: unknown;
            width?: unknown;
            cancelText?: unknown;
            cancelButtonProps?: unknown;
            okButtonProps?: unknown;
            okText?: unknown;
            okType?: unknown;
            confirmLoading?: unknown;
            showOkBtn?: unknown;
            showCancelBtn?: unknown;
            maskClosable?: unknown;
            onOk?: unknown;
        } & {
            width: string | number | undefined;
            icon: "success" | "error" | "warning" | "info";
            title: string;
            okType: ButtonType;
            okText: string;
            cancelText: string;
            cancelButtonProps: Partial<{
                prefixCls?: unknown;
                type?: unknown;
                htmlType?: unknown;
                shape?: unknown;
                size?: unknown;
                loading?: unknown;
                disabled?: unknown;
                ghost?: unknown;
                block?: unknown;
                danger?: unknown;
                icon?: unknown;
                href?: unknown;
                target?: unknown;
                title?: unknown;
                onClick?: unknown;
                onMousedown?: unknown;
            } & {
                loading: boolean | {
                    delay?: number | undefined;
                };
                htmlType: ButtonHTMLType;
            } & {
                size?: ButtonSize;
                onClick?: ((event: MouseEvent) => void) | undefined;
                onMousedown?: ((event: MouseEvent) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                type?: ButtonType | undefined;
                shape?: ButtonShape | undefined;
                ghost?: boolean | undefined;
                block?: boolean | undefined;
                danger?: boolean | undefined;
                icon?: any;
                href?: string | undefined;
                target?: string | undefined;
                title?: string | undefined;
            }> & {
                color?: string | undefined;
            };
            visible: boolean;
            maskClosable: boolean;
            confirmLoading: boolean;
            desc: string;
            subTitle: string;
            showOkBtn: boolean;
            showCancelBtn: boolean;
        } & {
            okButtonProps?: (Partial<{
                prefixCls?: unknown;
                type?: unknown;
                htmlType?: unknown;
                shape?: unknown;
                size?: unknown;
                loading?: unknown;
                disabled?: unknown;
                ghost?: unknown;
                block?: unknown;
                danger?: unknown;
                icon?: unknown;
                href?: unknown;
                target?: unknown;
                title?: unknown;
                onClick?: unknown;
                onMousedown?: unknown;
            } & {
                loading: boolean | {
                    delay?: number | undefined;
                };
                htmlType: ButtonHTMLType;
            } & {
                size?: ButtonSize;
                onClick?: ((event: MouseEvent) => void) | undefined;
                onMousedown?: ((event: MouseEvent) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                type?: ButtonType | undefined;
                shape?: ButtonShape | undefined;
                ghost?: boolean | undefined;
                block?: boolean | undefined;
                danger?: boolean | undefined;
                icon?: any;
                href?: string | undefined;
                target?: string | undefined;
                title?: string | undefined;
            }> & {
                color?: string | undefined;
            }) | undefined;
            onOk?: ((e: MouseEvent) => void) | undefined;
        }> & {
            onCancel?: ((...args: any[]) => any) | undefined;
            "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
            onOk?: ((...args: any[]) => any) | undefined;
        }, {
            innerVisible: WritableComputedRef<boolean>;
            getSlots: string[];
            iconComp: ComputedRef<{
                name: string;
                class: string;
            }>;
            handleCancel: () => void;
            handleConfirm: () => void;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:visible" | "ok" | "cancel")[], string, {
            width: string | number | undefined;
            icon: "success" | "error" | "warning" | "info";
            title: string;
            okType: ButtonType;
            okText: string;
            cancelText: string;
            cancelButtonProps: Partial<{
                prefixCls?: unknown;
                type?: unknown;
                htmlType?: unknown;
                shape?: unknown;
                size?: unknown;
                loading?: unknown;
                disabled?: unknown;
                ghost?: unknown;
                block?: unknown;
                danger?: unknown;
                icon?: unknown;
                href?: unknown;
                target?: unknown;
                title?: unknown;
                onClick?: unknown;
                onMousedown?: unknown;
            } & {
                loading: boolean | {
                    delay?: number | undefined;
                };
                htmlType: ButtonHTMLType;
            } & {
                size?: ButtonSize;
                onClick?: ((event: MouseEvent) => void) | undefined;
                onMousedown?: ((event: MouseEvent) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                type?: ButtonType | undefined;
                shape?: ButtonShape | undefined;
                ghost?: boolean | undefined;
                block?: boolean | undefined;
                danger?: boolean | undefined;
                icon?: any;
                href?: string | undefined;
                target?: string | undefined;
                title?: string | undefined;
            }> & {
                color?: string | undefined;
            };
            visible: boolean;
            maskClosable: boolean;
            confirmLoading: boolean;
            desc: string;
            subTitle: string;
            showOkBtn: boolean;
            showCancelBtn: boolean;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        visible?: unknown;
        icon?: unknown;
        title?: unknown;
        subTitle?: unknown;
        desc?: unknown;
        width?: unknown;
        cancelText?: unknown;
        cancelButtonProps?: unknown;
        okButtonProps?: unknown;
        okText?: unknown;
        okType?: unknown;
        confirmLoading?: unknown;
        showOkBtn?: unknown;
        showCancelBtn?: unknown;
        maskClosable?: unknown;
        onOk?: unknown;
    } & {
        width: string | number | undefined;
        icon: "success" | "error" | "warning" | "info";
        title: string;
        okType: ButtonType;
        okText: string;
        cancelText: string;
        cancelButtonProps: Partial<{
            prefixCls?: unknown;
            type?: unknown;
            htmlType?: unknown;
            shape?: unknown;
            size?: unknown;
            loading?: unknown;
            disabled?: unknown;
            ghost?: unknown;
            block?: unknown;
            danger?: unknown;
            icon?: unknown;
            href?: unknown;
            target?: unknown;
            title?: unknown;
            onClick?: unknown;
            onMousedown?: unknown;
        } & {
            loading: boolean | {
                delay?: number | undefined;
            };
            htmlType: ButtonHTMLType;
        } & {
            size?: ButtonSize;
            onClick?: ((event: MouseEvent) => void) | undefined;
            onMousedown?: ((event: MouseEvent) => void) | undefined;
            prefixCls?: string | undefined;
            disabled?: boolean | undefined;
            type?: ButtonType | undefined;
            shape?: ButtonShape | undefined;
            ghost?: boolean | undefined;
            block?: boolean | undefined;
            danger?: boolean | undefined;
            icon?: any;
            href?: string | undefined;
            target?: string | undefined;
            title?: string | undefined;
        }> & {
            color?: string | undefined;
        };
        visible: boolean;
        maskClosable: boolean;
        confirmLoading: boolean;
        desc: string;
        subTitle: string;
        showOkBtn: boolean;
        showCancelBtn: boolean;
    } & {
        okButtonProps?: (Partial<{
            prefixCls?: unknown;
            type?: unknown;
            htmlType?: unknown;
            shape?: unknown;
            size?: unknown;
            loading?: unknown;
            disabled?: unknown;
            ghost?: unknown;
            block?: unknown;
            danger?: unknown;
            icon?: unknown;
            href?: unknown;
            target?: unknown;
            title?: unknown;
            onClick?: unknown;
            onMousedown?: unknown;
        } & {
            loading: boolean | {
                delay?: number | undefined;
            };
            htmlType: ButtonHTMLType;
        } & {
            size?: ButtonSize;
            onClick?: ((event: MouseEvent) => void) | undefined;
            onMousedown?: ((event: MouseEvent) => void) | undefined;
            prefixCls?: string | undefined;
            disabled?: boolean | undefined;
            type?: ButtonType | undefined;
            shape?: ButtonShape | undefined;
            ghost?: boolean | undefined;
            block?: boolean | undefined;
            danger?: boolean | undefined;
            icon?: any;
            href?: string | undefined;
            target?: string | undefined;
            title?: string | undefined;
        }> & {
            color?: string | undefined;
        }) | undefined;
        onOk?: ((e: MouseEvent) => void) | undefined;
    }> & {
        onCancel?: ((...args: any[]) => any) | undefined;
        "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
        onOk?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        innerVisible: WritableComputedRef<boolean>;
        getSlots: string[];
        iconComp: ComputedRef<{
            name: string;
            class: string;
        }>;
        handleCancel: () => void;
        handleConfirm: () => void;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    visible?: unknown;
    icon?: unknown;
    title?: unknown;
    subTitle?: unknown;
    desc?: unknown;
    width?: unknown;
    cancelText?: unknown;
    cancelButtonProps?: unknown;
    okButtonProps?: unknown;
    okText?: unknown;
    okType?: unknown;
    confirmLoading?: unknown;
    showOkBtn?: unknown;
    showCancelBtn?: unknown;
    maskClosable?: unknown;
    onOk?: unknown;
} & {
    width: string | number | undefined;
    icon: "success" | "error" | "warning" | "info";
    title: string;
    okType: ButtonType;
    okText: string;
    cancelText: string;
    cancelButtonProps: Partial<{
        prefixCls?: unknown;
        type?: unknown;
        htmlType?: unknown;
        shape?: unknown;
        size?: unknown;
        loading?: unknown;
        disabled?: unknown;
        ghost?: unknown;
        block?: unknown;
        danger?: unknown;
        icon?: unknown;
        href?: unknown;
        target?: unknown;
        title?: unknown;
        onClick?: unknown;
        onMousedown?: unknown;
    } & {
        loading: boolean | {
            delay?: number | undefined;
        };
        htmlType: ButtonHTMLType;
    } & {
        size?: ButtonSize;
        onClick?: ((event: MouseEvent) => void) | undefined;
        onMousedown?: ((event: MouseEvent) => void) | undefined;
        prefixCls?: string | undefined;
        disabled?: boolean | undefined;
        type?: ButtonType | undefined;
        shape?: ButtonShape | undefined;
        ghost?: boolean | undefined;
        block?: boolean | undefined;
        danger?: boolean | undefined;
        icon?: any;
        href?: string | undefined;
        target?: string | undefined;
        title?: string | undefined;
    }> & {
        color?: string | undefined;
    };
    visible: boolean;
    maskClosable: boolean;
    confirmLoading: boolean;
    desc: string;
    subTitle: string;
    showOkBtn: boolean;
    showCancelBtn: boolean;
} & {
    okButtonProps?: (Partial<{
        prefixCls?: unknown;
        type?: unknown;
        htmlType?: unknown;
        shape?: unknown;
        size?: unknown;
        loading?: unknown;
        disabled?: unknown;
        ghost?: unknown;
        block?: unknown;
        danger?: unknown;
        icon?: unknown;
        href?: unknown;
        target?: unknown;
        title?: unknown;
        onClick?: unknown;
        onMousedown?: unknown;
    } & {
        loading: boolean | {
            delay?: number | undefined;
        };
        htmlType: ButtonHTMLType;
    } & {
        size?: ButtonSize;
        onClick?: ((event: MouseEvent) => void) | undefined;
        onMousedown?: ((event: MouseEvent) => void) | undefined;
        prefixCls?: string | undefined;
        disabled?: boolean | undefined;
        type?: ButtonType | undefined;
        shape?: ButtonShape | undefined;
        ghost?: boolean | undefined;
        block?: boolean | undefined;
        danger?: boolean | undefined;
        icon?: any;
        href?: string | undefined;
        target?: string | undefined;
        title?: string | undefined;
    }> & {
        color?: string | undefined;
    }) | undefined;
    onOk?: ((e: MouseEvent) => void) | undefined;
}> & {
    onCancel?: ((...args: any[]) => any) | undefined;
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
    onOk?: ((...args: any[]) => any) | undefined;
}, {
    innerVisible: WritableComputedRef<boolean>;
    getSlots: string[];
    iconComp: ComputedRef<{
        name: string;
        class: string;
    }>;
    handleCancel: () => void;
    handleConfirm: () => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:visible" | "ok" | "cancel")[], "update:visible" | "ok" | "cancel", {
    width: string | number | undefined;
    icon: "success" | "error" | "warning" | "info";
    title: string;
    okType: ButtonType;
    okText: string;
    cancelText: string;
    cancelButtonProps: Partial<{
        prefixCls?: unknown;
        type?: unknown;
        htmlType?: unknown;
        shape?: unknown;
        size?: unknown;
        loading?: unknown;
        disabled?: unknown;
        ghost?: unknown;
        block?: unknown;
        danger?: unknown;
        icon?: unknown;
        href?: unknown;
        target?: unknown;
        title?: unknown;
        onClick?: unknown;
        onMousedown?: unknown;
    } & {
        loading: boolean | {
            delay?: number | undefined;
        };
        htmlType: ButtonHTMLType;
    } & {
        size?: ButtonSize;
        onClick?: ((event: MouseEvent) => void) | undefined;
        onMousedown?: ((event: MouseEvent) => void) | undefined;
        prefixCls?: string | undefined;
        disabled?: boolean | undefined;
        type?: ButtonType | undefined;
        shape?: ButtonShape | undefined;
        ghost?: boolean | undefined;
        block?: boolean | undefined;
        danger?: boolean | undefined;
        icon?: any;
        href?: string | undefined;
        target?: string | undefined;
        title?: string | undefined;
    }> & {
        color?: string | undefined;
    };
    visible: boolean;
    maskClosable: boolean;
    confirmLoading: boolean;
    desc: string;
    subTitle: string;
    showOkBtn: boolean;
    showCancelBtn: boolean;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
