import type { VueTypeValidableDef, VueTypeDef } from 'vue-types';
import type { DefineComponent, WritableComputedRef, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import { ButtonProps, ButtonType } from 'ant-design-vue/lib/button';
declare type FbuButtonPros = ButtonProps & {
    color?: string;
};
declare const _default: DefineComponent<{
    visible: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    icon: VueTypeDef<"success" | "error" | "warning" | "info"> & {
        default: "success" | "error" | "warning" | "info";
    };
    title: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    subTitle: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    desc: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    width: VueTypeDef<string | number | undefined> & {
        default: string | number | undefined;
    };
    cancelText: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    cancelButtonProps: VueTypeValidableDef<FbuButtonPros> & {
        default: () => FbuButtonPros;
    };
    okButtonProps: VueTypeValidableDef<FbuButtonPros>;
    okText: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    okType: VueTypeValidableDef<ButtonType> & {
        default: ButtonType;
    };
    confirmLoading: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    showOkBtn: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    showCancelBtn: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    maskClosable: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    onOk: VueTypeValidableDef<(e: MouseEvent) => void>;
}, {
    innerVisible: WritableComputedRef<boolean>;
    getSlots: string[];
    iconComp: ComputedRef<{
        name: string;
        class: string;
    }>;
    handleCancel: () => void;
    handleConfirm: () => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:visible" | "ok" | "cancel")[], "update:visible" | "ok" | "cancel", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    visible?: unknown;
    icon?: unknown;
    title?: unknown;
    subTitle?: unknown;
    desc?: unknown;
    width?: unknown;
    cancelText?: unknown;
    cancelButtonProps?: unknown;
    okButtonProps?: unknown;
    okText?: unknown;
    okType?: unknown;
    confirmLoading?: unknown;
    showOkBtn?: unknown;
    showCancelBtn?: unknown;
    maskClosable?: unknown;
    onOk?: unknown;
} & {
    width: string | number | undefined;
    icon: "success" | "error" | "warning" | "info";
    title: string;
    okType: ButtonType;
    okText: string;
    cancelText: string;
    cancelButtonProps: FbuButtonPros;
    visible: boolean;
    maskClosable: boolean;
    confirmLoading: boolean;
    desc: string;
    subTitle: string;
    showOkBtn: boolean;
    showCancelBtn: boolean;
} & {
    okButtonProps?: FbuButtonPros | undefined;
    onOk?: ((e: MouseEvent) => void) | undefined;
}> & {
    onCancel?: ((...args: any[]) => any) | undefined;
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
    onOk?: ((...args: any[]) => any) | undefined;
}, {
    width: string | number | undefined;
    icon: "success" | "error" | "warning" | "info";
    title: string;
    okType: ButtonType;
    okText: string;
    cancelText: string;
    cancelButtonProps: FbuButtonPros;
    visible: boolean;
    maskClosable: boolean;
    confirmLoading: boolean;
    desc: string;
    subTitle: string;
    showOkBtn: boolean;
    showCancelBtn: boolean;
}>;
export default _default;
