import type { Plugin } from '@vue/runtime-core';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, ComputedRef, WritableComputedRef, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            size: "small" | "large" | "default";
            options: {
                label: string;
                value: string;
                disabled?: boolean | undefined;
            }[];
            disabled: boolean;
            name: string;
            buttonStyle: "outline" | "solid";
            optionType: "default" | "button";
            lvMap: {
                label: string;
                value: string;
            };
        }> & Omit<Readonly<{
            buttonStyle?: unknown;
            disabled?: unknown;
            name?: unknown;
            value?: unknown;
            options?: unknown;
            lvMap?: unknown;
            optionType?: unknown;
            size?: unknown;
        } & {
            size: "small" | "large" | "default";
            options: {
                label: string;
                value: string;
                disabled?: boolean | undefined;
            }[];
            disabled: boolean;
            name: string;
            buttonStyle: "outline" | "solid";
            optionType: "default" | "button";
            lvMap: {
                label: string;
                value: string;
            };
        } & {
            value?: any;
        }> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "size" | "options" | "disabled" | "name" | "buttonStyle" | "optionType" | "lvMap">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "update:value", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            buttonStyle?: unknown;
            disabled?: unknown;
            name?: unknown;
            value?: unknown;
            options?: unknown;
            lvMap?: unknown;
            optionType?: unknown;
            size?: unknown;
        } & {
            size: "small" | "large" | "default";
            options: {
                label: string;
                value: string;
                disabled?: boolean | undefined;
            }[];
            disabled: boolean;
            name: string;
            buttonStyle: "outline" | "solid";
            optionType: "default" | "button";
            lvMap: {
                label: string;
                value: string;
            };
        } & {
            value?: any;
        }> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
        }, {
            getGroupProps: ComputedRef<{
                buttonStyle: "outline" | "solid";
                disabled: boolean;
                name: string;
                optionType: "default" | "button";
                size: "small" | "large" | "default";
                options: {
                    label: any;
                    value: any;
                }[];
            }>;
            innerValue: WritableComputedRef<any>;
            getClass: ComputedRef<string[]>;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "update:value"[], string, {
            size: "small" | "large" | "default";
            options: {
                label: string;
                value: string;
                disabled?: boolean | undefined;
            }[];
            disabled: boolean;
            name: string;
            buttonStyle: "outline" | "solid";
            optionType: "default" | "button";
            lvMap: {
                label: string;
                value: string;
            };
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        buttonStyle?: unknown;
        disabled?: unknown;
        name?: unknown;
        value?: unknown;
        options?: unknown;
        lvMap?: unknown;
        optionType?: unknown;
        size?: unknown;
    } & {
        size: "small" | "large" | "default";
        options: {
            label: string;
            value: string;
            disabled?: boolean | undefined;
        }[];
        disabled: boolean;
        name: string;
        buttonStyle: "outline" | "solid";
        optionType: "default" | "button";
        lvMap: {
            label: string;
            value: string;
        };
    } & {
        value?: any;
    }> & {
        "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        getGroupProps: ComputedRef<{
            buttonStyle: "outline" | "solid";
            disabled: boolean;
            name: string;
            optionType: "default" | "button";
            size: "small" | "large" | "default";
            options: {
                label: any;
                value: any;
            }[];
        }>;
        innerValue: WritableComputedRef<any>;
        getClass: ComputedRef<string[]>;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    buttonStyle?: unknown;
    disabled?: unknown;
    name?: unknown;
    value?: unknown;
    options?: unknown;
    lvMap?: unknown;
    optionType?: unknown;
    size?: unknown;
} & {
    size: "small" | "large" | "default";
    options: {
        label: string;
        value: string;
        disabled?: boolean | undefined;
    }[];
    disabled: boolean;
    name: string;
    buttonStyle: "outline" | "solid";
    optionType: "default" | "button";
    lvMap: {
        label: string;
        value: string;
    };
} & {
    value?: any;
}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
}, {
    getGroupProps: ComputedRef<{
        buttonStyle: "outline" | "solid";
        disabled: boolean;
        name: string;
        optionType: "default" | "button";
        size: "small" | "large" | "default";
        options: {
            label: any;
            value: any;
        }[];
    }>;
    innerValue: WritableComputedRef<any>;
    getClass: ComputedRef<string[]>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "update:value"[], "update:value", {
    size: "small" | "large" | "default";
    options: {
        label: string;
        value: string;
        disabled?: boolean | undefined;
    }[];
    disabled: boolean;
    name: string;
    buttonStyle: "outline" | "solid";
    optionType: "default" | "button";
    lvMap: {
        label: string;
        value: string;
    };
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
