import type { Plugin } from '@vue/runtime-core';
import type { OptionProps, SelectValue } from 'ant-design-vue/es/select';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, WritableComputedRef, ComputedRef, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            allowClear: boolean;
            showSearch: boolean;
            maxTagCount: number;
            maxTagTextLength: number;
            showArrow: boolean;
            filterOption: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
            fetching: boolean;
            remote: boolean;
            labelValueProp: {
                label: string;
                value: string;
            };
        }> & Omit<Readonly<{
            value?: unknown;
            allowClear?: unknown;
            options?: unknown;
            showSearch?: unknown;
            filterOption?: unknown;
            showArrow?: unknown;
            notFoundContent?: unknown;
            fetching?: unknown;
            remote?: unknown;
            labelValueProp?: unknown;
            mode?: unknown;
            maxTagCount?: unknown;
            maxTagTextLength?: unknown;
        } & {
            value: SelectValue;
            allowClear: boolean;
            maxTagCount: number;
            maxTagTextLength: number;
            showArrow: boolean;
            filterOption: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
            fetching: boolean;
            remote: boolean;
            labelValueProp: {
                label: string;
                value: string;
            };
        } & {
            options?: OptionProps[] | undefined;
            notFoundContent?: string | undefined;
            showSearch?: boolean | undefined;
            mode?: string | undefined;
        }> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onSearch?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "allowClear" | "showSearch" | "maxTagCount" | "maxTagTextLength" | "showArrow" | "filterOption" | "fetching" | "remote" | "labelValueProp">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "update:value" | "search", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            value?: unknown;
            allowClear?: unknown;
            options?: unknown;
            showSearch?: unknown;
            filterOption?: unknown;
            showArrow?: unknown;
            notFoundContent?: unknown;
            fetching?: unknown;
            remote?: unknown;
            labelValueProp?: unknown;
            mode?: unknown;
            maxTagCount?: unknown;
            maxTagTextLength?: unknown;
        } & {
            value: SelectValue;
            allowClear: boolean;
            maxTagCount: number;
            maxTagTextLength: number;
            showArrow: boolean;
            filterOption: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
            fetching: boolean;
            remote: boolean;
            labelValueProp: {
                label: string;
                value: string;
            };
        } & {
            options?: OptionProps[] | undefined;
            notFoundContent?: string | undefined;
            showSearch?: boolean | undefined;
            mode?: string | undefined;
        }> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onSearch?: ((...args: any[]) => any) | undefined;
        }, {
            innerValue: WritableComputedRef<SelectValue>;
            prefixCls: string;
            innerOptions: ComputedRef<{
                label: any;
                value: any;
            }[]>;
            searchHandler: (this: any, ...args: any[]) => void;
            getSelectProps: ComputedRef<Record<string, any>>;
            isMultipleMode: ComputedRef<boolean>;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:value" | "search")[], string, {
            allowClear: boolean;
            showSearch: boolean;
            maxTagCount: number;
            maxTagTextLength: number;
            showArrow: boolean;
            filterOption: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
            fetching: boolean;
            remote: boolean;
            labelValueProp: {
                label: string;
                value: string;
            };
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        value?: unknown;
        allowClear?: unknown;
        options?: unknown;
        showSearch?: unknown;
        filterOption?: unknown;
        showArrow?: unknown;
        notFoundContent?: unknown;
        fetching?: unknown;
        remote?: unknown;
        labelValueProp?: unknown;
        mode?: unknown;
        maxTagCount?: unknown;
        maxTagTextLength?: unknown;
    } & {
        value: SelectValue;
        allowClear: boolean;
        maxTagCount: number;
        maxTagTextLength: number;
        showArrow: boolean;
        filterOption: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
        fetching: boolean;
        remote: boolean;
        labelValueProp: {
            label: string;
            value: string;
        };
    } & {
        options?: OptionProps[] | undefined;
        notFoundContent?: string | undefined;
        showSearch?: boolean | undefined;
        mode?: string | undefined;
    }> & {
        "onUpdate:value"?: ((...args: any[]) => any) | undefined;
        onSearch?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        innerValue: WritableComputedRef<SelectValue>;
        prefixCls: string;
        innerOptions: ComputedRef<{
            label: any;
            value: any;
        }[]>;
        searchHandler: (this: any, ...args: any[]) => void;
        getSelectProps: ComputedRef<Record<string, any>>;
        isMultipleMode: ComputedRef<boolean>;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    value?: unknown;
    allowClear?: unknown;
    options?: unknown;
    showSearch?: unknown;
    filterOption?: unknown;
    showArrow?: unknown;
    notFoundContent?: unknown;
    fetching?: unknown;
    remote?: unknown;
    labelValueProp?: unknown;
    mode?: unknown;
    maxTagCount?: unknown;
    maxTagTextLength?: unknown;
} & {
    value: SelectValue;
    allowClear: boolean;
    maxTagCount: number;
    maxTagTextLength: number;
    showArrow: boolean;
    filterOption: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
    fetching: boolean;
    remote: boolean;
    labelValueProp: {
        label: string;
        value: string;
    };
} & {
    options?: OptionProps[] | undefined;
    notFoundContent?: string | undefined;
    showSearch?: boolean | undefined;
    mode?: string | undefined;
}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onSearch?: ((...args: any[]) => any) | undefined;
}, {
    innerValue: WritableComputedRef<SelectValue>;
    prefixCls: string;
    innerOptions: ComputedRef<{
        label: any;
        value: any;
    }[]>;
    searchHandler: (this: any, ...args: any[]) => void;
    getSelectProps: ComputedRef<Record<string, any>>;
    isMultipleMode: ComputedRef<boolean>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:value" | "search")[], "update:value" | "search", {
    allowClear: boolean;
    showSearch: boolean;
    maxTagCount: number;
    maxTagTextLength: number;
    showArrow: boolean;
    filterOption: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
    fetching: boolean;
    remote: boolean;
    labelValueProp: {
        label: string;
        value: string;
    };
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
