import type { VueTypeDef, VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, WritableComputedRef, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import type { OptionProps, SelectValue } from 'ant-design-vue/es/select';
declare const _default: DefineComponent<{
    value: VueTypeDef<SelectValue> & {
        required: true;
    };
    allowClear: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    options: VueTypeValidableDef<OptionProps[]>;
    showSearch: {
        type: BooleanConstructor;
        default: undefined;
    };
    filterOption: VueTypeDef<boolean | ((value: string, option?: OptionProps | undefined) => boolean)> & {
        default: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
    };
    showArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    notFoundContent: VueTypeValidableDef<string>;
    fetching: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    remote: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    labelValueProp: VueTypeValidableDef<{
        label: string;
        value: string;
    }> & {
        default: () => {
            label: string;
            value: string;
        };
    };
    mode: VueTypeValidableDef<string>;
    maxTagCount: VueTypeValidableDef<number> & {
        default: number;
    };
    maxTagTextLength: VueTypeValidableDef<number> & {
        default: number;
    };
}, {
    innerValue: WritableComputedRef<SelectValue>;
    prefixCls: string;
    innerOptions: ComputedRef<{
        label: any;
        value: any;
    }[]>;
    searchHandler: (this: any, ...args: any[]) => void;
    getSelectProps: ComputedRef<Record<string, any>>;
    isMultipleMode: ComputedRef<boolean>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:value" | "search")[], "update:value" | "search", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    value?: unknown;
    allowClear?: unknown;
    options?: unknown;
    showSearch?: unknown;
    filterOption?: unknown;
    showArrow?: unknown;
    notFoundContent?: unknown;
    fetching?: unknown;
    remote?: unknown;
    labelValueProp?: unknown;
    mode?: unknown;
    maxTagCount?: unknown;
    maxTagTextLength?: unknown;
} & {
    value: SelectValue;
    allowClear: boolean;
    maxTagCount: number;
    maxTagTextLength: number;
    showArrow: boolean;
    filterOption: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
    fetching: boolean;
    remote: boolean;
    labelValueProp: {
        label: string;
        value: string;
    };
} & {
    options?: OptionProps[] | undefined;
    notFoundContent?: string | undefined;
    showSearch?: boolean | undefined;
    mode?: string | undefined;
}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onSearch?: ((...args: any[]) => any) | undefined;
}, {
    allowClear: boolean;
    showSearch: boolean;
    maxTagCount: number;
    maxTagTextLength: number;
    showArrow: boolean;
    filterOption: boolean | ((value: string, option?: OptionProps | undefined) => boolean);
    fetching: boolean;
    remote: boolean;
    labelValueProp: {
        label: string;
        value: string;
    };
}>;
export default _default;
