import type { ButtonShape } from 'ant-design-vue/es/button';
import type { ButtonHTMLType } from 'ant-design-vue/es/button/buttonTypes';
import type { TriggerType } from 'ant-design-vue/es/tooltip/abstractTooltipProps';
import type { AlignType, BuildInPlacements } from 'ant-design-vue/es/vc-trigger/interface';
import type { AdjustOverflow, TooltipPlacement } from 'ant-design-vue/es/tooltip';
import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComputedRef, CSSProperties, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import { TooltipProps } from 'ant-design-vue';
import type { PopConfirm, ActionItem } from '../../table/types/tableAction';
declare const _default: DefineComponent<{
    actions: VueTypeValidableDef<ActionItem[]>;
    dropDownActions: VueTypeValidableDef<ActionItem[]>;
    divider: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    outside: VueTypeValidableDef<boolean>;
    stopButtonPropagation: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    moreButtonText: VueTypeValidableDef<string> & {
        default: string;
    };
    direction: VueTypeValidableDef<"horizontal" | "vertical"> & {
        default: "horizontal" | "vertical";
    };
}, {
    prefixCls: string;
    getActions: ComputedRef<{
        onConfirm: ((...args: any[]) => any) | undefined;
        onCancel: ((...args: any[]) => any) | undefined;
        enable: boolean;
        title?: string | undefined;
        okText?: string | undefined;
        cancelText?: string | undefined;
        confirm?: ((...args: any[]) => any) | undefined;
        cancel?: ((...args: any[]) => any) | undefined;
        icon?: string | undefined;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "top" | "left" | "right" | "bottom" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom" | undefined;
        onClick?: ((...args: any[]) => any) | undefined;
        label?: string | undefined;
        color?: "success" | "error" | "warning" | undefined;
        popConfirm?: PopConfirm | undefined;
        disabled?: boolean | undefined;
        divider?: boolean | undefined;
        ifShow?: boolean | ((action: ActionItem) => boolean) | undefined;
        tooltip?: string | Partial<{
            title?: unknown;
            trigger?: unknown;
            visible?: unknown;
            defaultVisible?: unknown;
            placement?: unknown;
            color?: unknown;
            transitionName?: unknown;
            overlayStyle?: unknown;
            overlayClassName?: unknown;
            openClassName?: unknown;
            prefixCls?: unknown;
            mouseEnterDelay?: unknown;
            mouseLeaveDelay?: unknown;
            getPopupContainer?: unknown;
            arrowPointAtCenter?: unknown;
            autoAdjustOverflow?: unknown;
            destroyTooltipOnHide?: unknown;
            align?: unknown;
            builtinPlacements?: unknown;
            children?: unknown;
            onVisibleChange?: unknown;
            'onUpdate:visible'?: unknown;
        } & {
            overlayStyle: CSSProperties;
            autoAdjustOverflow: boolean | AdjustOverflow;
            align: AlignType;
            builtinPlacements: BuildInPlacements;
        } & {
            placement?: TooltipPlacement | undefined;
            prefixCls?: string | undefined;
            getPopupContainer?: ((triggerNode: HTMLElement) => HTMLElement) | undefined;
            transitionName?: string | undefined;
            children?: unknown[] | undefined;
            title?: any;
            color?: string | undefined;
            trigger?: TriggerType | TriggerType[] | undefined;
            visible?: boolean | undefined;
            defaultVisible?: boolean | undefined;
            overlayClassName?: string | undefined;
            openClassName?: string | undefined;
            mouseEnterDelay?: number | undefined;
            mouseLeaveDelay?: number | undefined;
            arrowPointAtCenter?: boolean | undefined;
            destroyTooltipOnHide?: boolean | undefined;
            onVisibleChange?: ((vis: boolean) => void) | undefined;
            "onUpdate:visible"?: ((vis: boolean) => void) | undefined;
        }> | undefined;
        prefixCls?: string | undefined;
        type: string;
        htmlType?: ButtonHTMLType | undefined;
        shape?: ButtonShape | undefined;
        size: string;
        loading?: boolean | {
            delay?: number | undefined;
        } | undefined;
        ghost?: boolean | undefined;
        block?: boolean | undefined;
        danger?: boolean | undefined;
        href?: string | undefined;
        target?: string | undefined;
        onMousedown?: ((event: MouseEvent) => void) | undefined;
        getPopupContainer: () => any;
    }[]>;
    getDropdownList: ComputedRef<any[]>;
    getAlign: ComputedRef<"left" | "right" | "center">;
    onCellClick: (e: MouseEvent) => void;
    getTooltip: (data: string | TooltipProps) => TooltipProps;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    actions?: unknown;
    dropDownActions?: unknown;
    divider?: unknown;
    outside?: unknown;
    stopButtonPropagation?: unknown;
    moreButtonText?: unknown;
    direction?: unknown;
} & {
    direction: "horizontal" | "vertical";
    divider: boolean;
    stopButtonPropagation: boolean;
    moreButtonText: string;
} & {
    outside?: boolean | undefined;
    actions?: ActionItem[] | undefined;
    dropDownActions?: ActionItem[] | undefined;
}>, {
    direction: "horizontal" | "vertical";
    divider: boolean;
    stopButtonPropagation: boolean;
    moreButtonText: string;
}>;
export default _default;
