import type { ComponentsType } from '../../types/componentsType';
import type { DefineComponent, Ref, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, CSSProperties,  PropType } from 'vue';
import type { ColumnPropsEx } from '../../types/column';
import type { Fn, Recordable } from '../../../typings/global';
declare type LabelValueOptions = {
    label: string;
    value: any;
    [key: string]: string | number | boolean;
}[];
declare const _default: DefineComponent<{
    value: {
        type: PropType<string | number | boolean | Recordable<any>>;
        default: string;
    };
    record: {
        type: PropType<Partial<{
            onEdit: (editable: boolean, submit?: boolean | undefined) => Promise<boolean>;
            onValid: () => Promise<boolean>;
            editable: boolean;
            onCancel: Fn;
            onSubmit: Fn;
            submitCbs: Fn[];
            cancelCbs: Fn[];
            validCbs: Fn[];
            editValueRefs: Recordable<Ref<any>>;
        } & Recordable<any>>>;
    };
    column: {
        type: PropType<ColumnPropsEx<any>>;
        default: () => {};
    };
    index: NumberConstructor;
}, {
    isEdit: Ref<boolean>;
    prefixCls: string;
    handleEdit: () => void;
    currentValueRef: any;
    handleSubmit: (needEmit?: boolean, valid?: boolean) => Promise<false | undefined>;
    handleChange: (e: any) => Promise<void>;
    handleCancel: () => void;
    elRef: Ref<any>;
    getComponent: ComputedRef<ComponentsType>;
    getRule: ComputedRef<boolean>;
    onClickOutside: () => void;
    ruleMessage: Ref<string>;
    getRuleVisible: ComputedRef<boolean>;
    getComponentProps: ComputedRef<{
        size: string;
        getPopupContainer: () => HTMLElement;
        getCalendarContainer: () => HTMLElement;
        placeholder: string;
    }>;
    handleOptionsChange: (options: LabelValueOptions) => void;
    getWrapperStyle: ComputedRef<CSSProperties>;
    getWrapperClass: ComputedRef<string>;
    getRowEditable: ComputedRef<boolean>;
    getValues: ComputedRef<any>;
    handleEnter: () => Promise<void>;
    handleSubmitClick: () => void;
    spinning: Ref<boolean>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    value?: unknown;
    record?: unknown;
    column?: unknown;
    index?: unknown;
} & {
    value: string | number | boolean | Recordable<any>;
    column: ColumnPropsEx<any>;
} & {
    index?: number | undefined;
    record?: Partial<{
        onEdit: (editable: boolean, submit?: boolean | undefined) => Promise<boolean>;
        onValid: () => Promise<boolean>;
        editable: boolean;
        onCancel: Fn;
        onSubmit: Fn;
        submitCbs: Fn[];
        cancelCbs: Fn[];
        validCbs: Fn[];
        editValueRefs: Recordable<Ref<any>>;
    } & Recordable<any>> | undefined;
}>, {
    value: string | number | boolean | Recordable<any>;
    column: ColumnPropsEx<any>;
}>;
export default _default;
