import type { ColumnPropsEx } from '../../../table/types/column';
import type { VNode, RendererNode, RendererElement, Ref } from 'vue';
import type { Recordable, Fn } from '../../../typings/global';
interface Params {
    text: string;
    record: Recordable;
    index: number;
}
export declare function renderEditCell(column: ColumnPropsEx): ({ text: value, record, index }: Params) => VNode<RendererNode, RendererElement, {
    [key: string]: any;
}>;
export declare type EditRecordRow<T = Recordable> = Partial<{
    onEdit: (editable: boolean, submit?: boolean) => Promise<boolean>;
    onValid: () => Promise<boolean>;
    editable: boolean;
    onCancel: Fn;
    onSubmit: Fn;
    submitCbs: Fn[];
    cancelCbs: Fn[];
    validCbs: Fn[];
    editValueRefs: Recordable<Ref>;
} & T>;
export {};
