import type { ComputedRef } from 'vue';
import { TableProps } from '../types/table';
import { PaginationProps, itemRender } from '../../pagination';
export declare function usePagination(props: ComputedRef<TableProps>): {
    getPaginationInfo: ComputedRef<false | {
        total: number;
        defaultCurrent?: number | undefined;
        current: number;
        defaultPageSize: any;
        pageSize: any;
        hideOnSinglePage?: boolean | undefined;
        pageSizeOptions: string[];
        showSizeChanger: boolean;
        showQuickJumper: boolean;
        showTotal: ((total: number) => string) | ((total: number, range: [number, number]) => any);
        simple?: boolean | undefined;
        itemRender: typeof itemRender;
        position: string[];
        size: string;
    }>;
    getPaginationBinds: () => false | {
        total: number;
        defaultCurrent?: number | undefined;
        current: number;
        defaultPageSize: any;
        pageSize: any;
        hideOnSinglePage?: boolean | undefined;
        pageSizeOptions: string[];
        showSizeChanger: boolean;
        showQuickJumper: boolean;
        showTotal: ((total: number) => string) | ((total: number, range: [number, number]) => any);
        simple?: boolean | undefined;
        itemRender: typeof itemRender;
        position: string[];
        size: string;
    };
    setPaginationConfig: (pagination: PaginationProps) => void;
    getShowPagination: () => boolean;
    setShowPagination: (visible: boolean) => Promise<void>;
};
