import type { TopTabPane } from './types/tableTabs';
import type { TitleActionItem } from './types/tableAction';
import type { FormProps, RegisterFn } from '../form';
import type { PaginationProps, itemRender } from '../pagination';
import type { Recordable, Nullable } from '../typings/global';
import type { TableRowSelection } from 'ant-design-vue/es/table/interface';
import type { ColumnPropsEx, InnerHandlers } from './types/column';
import type { SizeType, TableSetting, SorterResult, FetchSetting, TableCustomRecord, TableActionType } from './types/table';
import type { ComponentInternalInstance, VNodeArrayChildren, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, Ref, ComputedRef, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties, Plugin } from 'vue';
import { TableSummary as FbuTableSummary, TableSummaryRow as FbuTableSummaryRow, TableSummaryCell as FbuTableSummaryCell } from 'ant-design-vue';
import FbuTableImages from './components/TableImages.vue';
import FbuTableTitleAction from './components/TableTitleAction.vue';
export * from './types/table';
export * from './types/column';
export { useComponentRegister } from './composables/useComponentRegister';
export { useTable } from './composables/useTable';
export { clearCachedColumns } from './composables/useTableCache';
export { FbuTableImages, FbuTableTitleAction };
export { FbuTableSummary, FbuTableSummaryRow, FbuTableSummaryCell };
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            size: SizeType;
            bordered: boolean;
            loading: boolean;
            immediate: boolean;
            sticky: boolean | {
                offsetHeader?: number | undefined;
                offsetScroll?: number | undefined;
                getContainer?: (() => HTMLElement) | undefined;
            };
            ellipsis: boolean;
            inset: boolean;
            columns: ColumnPropsEx<any>[];
            indentSize: number;
            rowSelection: TableRowSelection<any> | null;
            clickToRowSelect: boolean;
            isTreeTable: boolean;
            tableSetting: TableSetting;
            showTableSetting: boolean;
            sortFn: (sortInfo: SorterResult<any>) => any;
            filterFn: (data: Recordable<string[]>) => any;
            autoCreateKey: boolean;
            striped: boolean;
            fetchSetting: Partial<FetchSetting>;
            emptyDataIsShowTable: boolean;
            showIndexColumn: boolean;
            canResize: boolean;
            isCanResizeParent: boolean;
            clearSelectOnPageChange: boolean;
            resizeHeightOffset: number;
            cacheEnable: boolean;
            showSettingColumn: boolean;
            fixTitleEmpty: boolean;
            topTabsActivedKey: string | number;
            stickyTitle: boolean;
            showScrollBtns: boolean;
            resizeFlow: boolean;
            customPagination: boolean;
            customPaginationSizeChangerSuffix: string;
            settingColumnProps: ColumnPropsEx<any>;
            draggableScroll: boolean;
            draggableScrollDelay: number;
            horizontalScrollUsingWheel: boolean;
            rowHeight: number;
            virtualList: boolean;
            virtualOffset: number;
        }> & Omit<Readonly<{
            clickToRowSelect?: unknown;
            isTreeTable?: unknown;
            tableSetting?: unknown;
            showTableSetting?: unknown;
            inset?: unknown;
            sortFn?: unknown;
            filterFn?: unknown;
            autoCreateKey?: unknown;
            striped?: unknown;
            indentSize?: unknown;
            api?: unknown;
            beforeFetch?: unknown;
            afterFetch?: unknown;
            handleSearchInfoFn?: unknown;
            fetchSetting?: unknown;
            immediate?: unknown;
            emptyDataIsShowTable?: unknown;
            searchInfo?: unknown;
            defSort?: unknown;
            useSearchForm?: unknown;
            formConfig?: unknown;
            columns?: unknown;
            showIndexColumn?: unknown;
            indexColumnProps?: unknown;
            actionColumn?: unknown;
            ellipsis?: unknown;
            canResize?: unknown;
            isCanResizeParent?: unknown;
            clearSelectOnPageChange?: unknown;
            resizeHeightOffset?: unknown;
            rowSelection?: unknown;
            title?: unknown;
            titleHelpMessage?: unknown;
            maxHeight?: unknown;
            dataSource?: unknown;
            rowKey?: unknown;
            bordered?: unknown;
            pagination?: unknown;
            loading?: unknown;
            rowClassName?: unknown;
            scroll?: unknown;
            beforeEditSubmit?: unknown;
            size?: unknown;
            cacheName?: unknown;
            cacheEnable?: unknown;
            titleActions?: unknown;
            showSettingColumn?: unknown;
            fixTitleEmpty?: unknown;
            topTabs?: unknown;
            topTabsActivedKey?: unknown;
            topTabsFetchParamkey?: unknown;
            sticky?: unknown;
            stickyTitle?: unknown;
            showScrollBtns?: unknown;
            resizeFlow?: unknown;
            customPagination?: unknown;
            customPaginationSizeChangerSuffix?: unknown;
            settingColumnProps?: unknown;
            draggableScroll?: unknown;
            draggableScrollDelay?: unknown;
            horizontalScrollUsingWheel?: unknown;
            rowHeight?: unknown;
            virtualList?: unknown;
            virtualOffset?: unknown;
        } & {
            size: SizeType;
            bordered: boolean;
            loading: boolean;
            immediate: boolean;
            sticky: boolean | {
                offsetHeader?: number | undefined;
                offsetScroll?: number | undefined;
                getContainer?: (() => HTMLElement) | undefined;
            };
            ellipsis: boolean;
            inset: boolean;
            columns: ColumnPropsEx<any>[];
            indentSize: number;
            rowSelection: TableRowSelection<any> | null;
            clickToRowSelect: boolean;
            isTreeTable: boolean;
            tableSetting: TableSetting;
            showTableSetting: boolean;
            sortFn: (sortInfo: SorterResult<any>) => any;
            filterFn: (data: Recordable<string[]>) => any;
            autoCreateKey: boolean;
            striped: boolean;
            fetchSetting: Partial<FetchSetting>;
            emptyDataIsShowTable: boolean;
            showIndexColumn: boolean;
            canResize: boolean;
            isCanResizeParent: boolean;
            clearSelectOnPageChange: boolean;
            resizeHeightOffset: number;
            cacheEnable: boolean;
            showSettingColumn: boolean;
            fixTitleEmpty: boolean;
            topTabsActivedKey: string | number;
            stickyTitle: boolean;
            showScrollBtns: boolean;
            resizeFlow: boolean;
            customPagination: boolean;
            customPaginationSizeChangerSuffix: string;
            settingColumnProps: ColumnPropsEx<any>;
            draggableScroll: boolean;
            draggableScrollDelay: number;
            horizontalScrollUsingWheel: boolean;
            rowHeight: number;
            virtualList: boolean;
            virtualOffset: number;
        } & {
            api?: ((...arg: any[]) => Promise<any>) | undefined;
            title?: string | number | boolean | void | JSX.Element | VNodeArrayChildren | ((data: Recordable<any>) => string) | null | undefined;
            scroll?: {
                x?: string | number | true | undefined;
                y?: string | number | undefined;
                scrollToFirstRowOnChange?: boolean | undefined;
            } | undefined;
            dataSource?: Recordable<any> | undefined;
            afterFetch?: ((...arg: any[]) => any) | undefined;
            maxHeight?: number | undefined;
            rowKey?: string | ((record: Recordable<any>) => string) | undefined;
            rowClassName?: ((record: TableCustomRecord<any>, index: number) => string) | undefined;
            pagination?: boolean | PaginationProps | undefined;
            beforeFetch?: ((...arg: any[]) => any) | undefined;
            handleSearchInfoFn?: ((...arg: any[]) => any) | undefined;
            searchInfo?: Recordable<any> | undefined;
            defSort?: Recordable<any> | undefined;
            useSearchForm?: boolean | undefined;
            formConfig?: Partial<FormProps> | undefined;
            indexColumnProps?: ColumnPropsEx<any> | undefined;
            actionColumn?: ColumnPropsEx<any> | undefined;
            titleHelpMessage?: string | string[] | undefined;
            beforeEditSubmit?: ((data: {
                record: Recordable<any>;
                index: number;
                key: string | number;
                value: any;
            }) => Promise<any>) | undefined;
            cacheName?: string | undefined;
            titleActions?: TitleActionItem[] | undefined;
            topTabs?: TopTabPane[] | undefined;
            topTabsFetchParamkey?: string | undefined;
        }> & {
            onChange?: ((...args: any[]) => any) | undefined;
            "onColumns-change"?: ((...args: any[]) => any) | undefined;
            "onTab-click"?: ((...args: any[]) => any) | undefined;
            "onFetch-success"?: ((...args: any[]) => any) | undefined;
            "onFetch-error"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            onRegister?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-dbClick"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-mouseenter"?: ((...args: any[]) => any) | undefined;
            "onRow-mouseleave"?: ((...args: any[]) => any) | undefined;
            "onEdit-end"?: ((...args: any[]) => any) | undefined;
            "onEdit-cancel"?: ((...args: any[]) => any) | undefined;
            "onEdit-row-end"?: ((...args: any[]) => any) | undefined;
            "onEdit-change"?: ((...args: any[]) => any) | undefined;
            "onExpanded-rows-change"?: ((...args: any[]) => any) | undefined;
            "onResize-column"?: ((...args: any[]) => any) | undefined;
            onFormRest?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onVirtual-scroll"?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "size" | "bordered" | "loading" | "immediate" | "sticky" | "ellipsis" | "inset" | "columns" | "indentSize" | "rowSelection" | "clickToRowSelect" | "isTreeTable" | "tableSetting" | "showTableSetting" | "sortFn" | "filterFn" | "autoCreateKey" | "striped" | "fetchSetting" | "emptyDataIsShowTable" | "showIndexColumn" | "canResize" | "isCanResizeParent" | "clearSelectOnPageChange" | "resizeHeightOffset" | "cacheEnable" | "showSettingColumn" | "fixTitleEmpty" | "topTabsActivedKey" | "stickyTitle" | "showScrollBtns" | "resizeFlow" | "customPagination" | "customPaginationSizeChangerSuffix" | "settingColumnProps" | "draggableScroll" | "draggableScrollDelay" | "horizontalScrollUsingWheel" | "rowHeight" | "virtualList" | "virtualOffset">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "change" | "columns-change" | "tab-click" | "fetch-success" | "fetch-error" | "selection-change" | "register" | "row-click" | "row-dbClick" | "row-contextmenu" | "row-mouseenter" | "row-mouseleave" | "edit-end" | "edit-cancel" | "edit-row-end" | "edit-change" | "expanded-rows-change" | "resize-column" | "formRest" | "sort-change" | "virtual-scroll", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            clickToRowSelect?: unknown;
            isTreeTable?: unknown;
            tableSetting?: unknown;
            showTableSetting?: unknown;
            inset?: unknown;
            sortFn?: unknown;
            filterFn?: unknown;
            autoCreateKey?: unknown;
            striped?: unknown;
            indentSize?: unknown;
            api?: unknown;
            beforeFetch?: unknown;
            afterFetch?: unknown;
            handleSearchInfoFn?: unknown;
            fetchSetting?: unknown;
            immediate?: unknown;
            emptyDataIsShowTable?: unknown;
            searchInfo?: unknown;
            defSort?: unknown;
            useSearchForm?: unknown;
            formConfig?: unknown;
            columns?: unknown;
            showIndexColumn?: unknown;
            indexColumnProps?: unknown;
            actionColumn?: unknown;
            ellipsis?: unknown;
            canResize?: unknown;
            isCanResizeParent?: unknown;
            clearSelectOnPageChange?: unknown;
            resizeHeightOffset?: unknown;
            rowSelection?: unknown;
            title?: unknown;
            titleHelpMessage?: unknown;
            maxHeight?: unknown;
            dataSource?: unknown;
            rowKey?: unknown;
            bordered?: unknown;
            pagination?: unknown;
            loading?: unknown;
            rowClassName?: unknown;
            scroll?: unknown;
            beforeEditSubmit?: unknown;
            size?: unknown;
            cacheName?: unknown;
            cacheEnable?: unknown;
            titleActions?: unknown;
            showSettingColumn?: unknown;
            fixTitleEmpty?: unknown;
            topTabs?: unknown;
            topTabsActivedKey?: unknown;
            topTabsFetchParamkey?: unknown;
            sticky?: unknown;
            stickyTitle?: unknown;
            showScrollBtns?: unknown;
            resizeFlow?: unknown;
            customPagination?: unknown;
            customPaginationSizeChangerSuffix?: unknown;
            settingColumnProps?: unknown;
            draggableScroll?: unknown;
            draggableScrollDelay?: unknown;
            horizontalScrollUsingWheel?: unknown;
            rowHeight?: unknown;
            virtualList?: unknown;
            virtualOffset?: unknown;
        } & {
            size: SizeType;
            bordered: boolean;
            loading: boolean;
            immediate: boolean;
            sticky: boolean | {
                offsetHeader?: number | undefined;
                offsetScroll?: number | undefined;
                getContainer?: (() => HTMLElement) | undefined;
            };
            ellipsis: boolean;
            inset: boolean;
            columns: ColumnPropsEx<any>[];
            indentSize: number;
            rowSelection: TableRowSelection<any> | null;
            clickToRowSelect: boolean;
            isTreeTable: boolean;
            tableSetting: TableSetting;
            showTableSetting: boolean;
            sortFn: (sortInfo: SorterResult<any>) => any;
            filterFn: (data: Recordable<string[]>) => any;
            autoCreateKey: boolean;
            striped: boolean;
            fetchSetting: Partial<FetchSetting>;
            emptyDataIsShowTable: boolean;
            showIndexColumn: boolean;
            canResize: boolean;
            isCanResizeParent: boolean;
            clearSelectOnPageChange: boolean;
            resizeHeightOffset: number;
            cacheEnable: boolean;
            showSettingColumn: boolean;
            fixTitleEmpty: boolean;
            topTabsActivedKey: string | number;
            stickyTitle: boolean;
            showScrollBtns: boolean;
            resizeFlow: boolean;
            customPagination: boolean;
            customPaginationSizeChangerSuffix: string;
            settingColumnProps: ColumnPropsEx<any>;
            draggableScroll: boolean;
            draggableScrollDelay: number;
            horizontalScrollUsingWheel: boolean;
            rowHeight: number;
            virtualList: boolean;
            virtualOffset: number;
        } & {
            api?: ((...arg: any[]) => Promise<any>) | undefined;
            title?: string | number | boolean | void | JSX.Element | VNodeArrayChildren | ((data: Recordable<any>) => string) | null | undefined;
            scroll?: {
                x?: string | number | true | undefined;
                y?: string | number | undefined;
                scrollToFirstRowOnChange?: boolean | undefined;
            } | undefined;
            dataSource?: Recordable<any> | undefined;
            afterFetch?: ((...arg: any[]) => any) | undefined;
            maxHeight?: number | undefined;
            rowKey?: string | ((record: Recordable<any>) => string) | undefined;
            rowClassName?: ((record: TableCustomRecord<any>, index: number) => string) | undefined;
            pagination?: boolean | PaginationProps | undefined;
            beforeFetch?: ((...arg: any[]) => any) | undefined;
            handleSearchInfoFn?: ((...arg: any[]) => any) | undefined;
            searchInfo?: Recordable<any> | undefined;
            defSort?: Recordable<any> | undefined;
            useSearchForm?: boolean | undefined;
            formConfig?: Partial<FormProps> | undefined;
            indexColumnProps?: ColumnPropsEx<any> | undefined;
            actionColumn?: ColumnPropsEx<any> | undefined;
            titleHelpMessage?: string | string[] | undefined;
            beforeEditSubmit?: ((data: {
                record: Recordable<any>;
                index: number;
                key: string | number;
                value: any;
            }) => Promise<any>) | undefined;
            cacheName?: string | undefined;
            titleActions?: TitleActionItem[] | undefined;
            topTabs?: TopTabPane[] | undefined;
            topTabsFetchParamkey?: string | undefined;
        }> & {
            onChange?: ((...args: any[]) => any) | undefined;
            "onColumns-change"?: ((...args: any[]) => any) | undefined;
            "onTab-click"?: ((...args: any[]) => any) | undefined;
            "onFetch-success"?: ((...args: any[]) => any) | undefined;
            "onFetch-error"?: ((...args: any[]) => any) | undefined;
            "onSelection-change"?: ((...args: any[]) => any) | undefined;
            onRegister?: ((...args: any[]) => any) | undefined;
            "onRow-click"?: ((...args: any[]) => any) | undefined;
            "onRow-dbClick"?: ((...args: any[]) => any) | undefined;
            "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
            "onRow-mouseenter"?: ((...args: any[]) => any) | undefined;
            "onRow-mouseleave"?: ((...args: any[]) => any) | undefined;
            "onEdit-end"?: ((...args: any[]) => any) | undefined;
            "onEdit-cancel"?: ((...args: any[]) => any) | undefined;
            "onEdit-row-end"?: ((...args: any[]) => any) | undefined;
            "onEdit-change"?: ((...args: any[]) => any) | undefined;
            "onExpanded-rows-change"?: ((...args: any[]) => any) | undefined;
            "onResize-column"?: ((...args: any[]) => any) | undefined;
            onFormRest?: ((...args: any[]) => any) | undefined;
            "onSort-change"?: ((...args: any[]) => any) | undefined;
            "onVirtual-scroll"?: ((...args: any[]) => any) | undefined;
        }, {
            formRef: Ref<null>;
            tableElRef: any;
            getBindValues: ComputedRef<Recordable<any>>;
            getLoading: ComputedRef<boolean | undefined>;
            registerForm: RegisterFn;
            handleSearchInfoChange: (info: Recordable<any>) => void;
            getEmptyDataIsShowTable: ComputedRef<boolean>;
            handleTableChange: (pagination: any, filter: any, sorter: any, extra: any) => void;
            getRowClassName: (record: TableCustomRecord<Recordable<any>>, index: number) => string;
            wrapRef: Ref<null>;
            tableAction: TableActionType;
            redoHeight: () => void;
            getFormProps: any;
            replaceFormSlotKey: (key: string) => string;
            getFormSlotKeys: ComputedRef<string[]>;
            getWrapperClass: ComputedRef<unknown[]>;
            columns: ComputedRef<ColumnPropsEx<any>[]>;
            SETTING_COLUMN_INDEX: string;
            getScrollX: ComputedRef<number | "100%">;
            activedKey: Ref<string | number | undefined>;
            tabs: Ref<TopTabPane[] | undefined>;
            handleTabClick: (activeKey: TopTabPane) => void;
            getScrollRef: ComputedRef<{
                x: string | number | true;
                y: Nullable<string | number>;
                scrollToFirstRowOnChange: boolean;
            }>;
            handleReset: () => void;
            getPaginationInfo: ComputedRef<false | {
                total: number;
                defaultCurrent?: number | undefined;
                current: number;
                defaultPageSize: any;
                pageSize: any;
                hideOnSinglePage?: boolean | undefined;
                pageSizeOptions: string[];
                showSizeChanger: boolean;
                showQuickJumper: boolean;
                showTotal: ((total: number) => string) | ((total: number, range: [number, number]) => any);
                simple?: boolean | undefined;
                itemRender: typeof itemRender;
                position: string[];
                size: string;
            }>;
            dataSource: ComputedRef<({
                [x: string]: any;
            } & {
                _i: number;
            })[]>;
            virtualData: Ref<any[]>;
            isVirtualList: ComputedRef<boolean>;
            scrolls: ComputedRef<{
                x?: string | number | true | undefined;
                y?: string | number | undefined;
                scrollToFirstRowOnChange?: boolean | undefined;
            }>;
            handlers: InnerHandlers;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "columns-change" | "tab-click" | "fetch-success" | "fetch-error" | "selection-change" | "register" | "row-click" | "row-dbClick" | "row-contextmenu" | "row-mouseenter" | "row-mouseleave" | "edit-end" | "edit-cancel" | "edit-row-end" | "edit-change" | "expanded-rows-change" | "resize-column" | "formRest" | "sort-change" | "virtual-scroll")[], string, {
            size: SizeType;
            bordered: boolean;
            loading: boolean;
            immediate: boolean;
            sticky: boolean | {
                offsetHeader?: number | undefined;
                offsetScroll?: number | undefined;
                getContainer?: (() => HTMLElement) | undefined;
            };
            ellipsis: boolean;
            inset: boolean;
            columns: ColumnPropsEx<any>[];
            indentSize: number;
            rowSelection: TableRowSelection<any> | null;
            clickToRowSelect: boolean;
            isTreeTable: boolean;
            tableSetting: TableSetting;
            showTableSetting: boolean;
            sortFn: (sortInfo: SorterResult<any>) => any;
            filterFn: (data: Recordable<string[]>) => any;
            autoCreateKey: boolean;
            striped: boolean;
            fetchSetting: Partial<FetchSetting>;
            emptyDataIsShowTable: boolean;
            showIndexColumn: boolean;
            canResize: boolean;
            isCanResizeParent: boolean;
            clearSelectOnPageChange: boolean;
            resizeHeightOffset: number;
            cacheEnable: boolean;
            showSettingColumn: boolean;
            fixTitleEmpty: boolean;
            topTabsActivedKey: string | number;
            stickyTitle: boolean;
            showScrollBtns: boolean;
            resizeFlow: boolean;
            customPagination: boolean;
            customPaginationSizeChangerSuffix: string;
            settingColumnProps: ColumnPropsEx<any>;
            draggableScroll: boolean;
            draggableScrollDelay: number;
            horizontalScrollUsingWheel: boolean;
            rowHeight: number;
            virtualList: boolean;
            virtualOffset: number;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        clickToRowSelect?: unknown;
        isTreeTable?: unknown;
        tableSetting?: unknown;
        showTableSetting?: unknown;
        inset?: unknown;
        sortFn?: unknown;
        filterFn?: unknown;
        autoCreateKey?: unknown;
        striped?: unknown;
        indentSize?: unknown;
        api?: unknown;
        beforeFetch?: unknown;
        afterFetch?: unknown;
        handleSearchInfoFn?: unknown;
        fetchSetting?: unknown;
        immediate?: unknown;
        emptyDataIsShowTable?: unknown;
        searchInfo?: unknown;
        defSort?: unknown;
        useSearchForm?: unknown;
        formConfig?: unknown;
        columns?: unknown;
        showIndexColumn?: unknown;
        indexColumnProps?: unknown;
        actionColumn?: unknown;
        ellipsis?: unknown;
        canResize?: unknown;
        isCanResizeParent?: unknown;
        clearSelectOnPageChange?: unknown;
        resizeHeightOffset?: unknown;
        rowSelection?: unknown;
        title?: unknown;
        titleHelpMessage?: unknown;
        maxHeight?: unknown;
        dataSource?: unknown;
        rowKey?: unknown;
        bordered?: unknown;
        pagination?: unknown;
        loading?: unknown;
        rowClassName?: unknown;
        scroll?: unknown;
        beforeEditSubmit?: unknown;
        size?: unknown;
        cacheName?: unknown;
        cacheEnable?: unknown;
        titleActions?: unknown;
        showSettingColumn?: unknown;
        fixTitleEmpty?: unknown;
        topTabs?: unknown;
        topTabsActivedKey?: unknown;
        topTabsFetchParamkey?: unknown;
        sticky?: unknown;
        stickyTitle?: unknown;
        showScrollBtns?: unknown;
        resizeFlow?: unknown;
        customPagination?: unknown;
        customPaginationSizeChangerSuffix?: unknown;
        settingColumnProps?: unknown;
        draggableScroll?: unknown;
        draggableScrollDelay?: unknown;
        horizontalScrollUsingWheel?: unknown;
        rowHeight?: unknown;
        virtualList?: unknown;
        virtualOffset?: unknown;
    } & {
        size: SizeType;
        bordered: boolean;
        loading: boolean;
        immediate: boolean;
        sticky: boolean | {
            offsetHeader?: number | undefined;
            offsetScroll?: number | undefined;
            getContainer?: (() => HTMLElement) | undefined;
        };
        ellipsis: boolean;
        inset: boolean;
        columns: ColumnPropsEx<any>[];
        indentSize: number;
        rowSelection: TableRowSelection<any> | null;
        clickToRowSelect: boolean;
        isTreeTable: boolean;
        tableSetting: TableSetting;
        showTableSetting: boolean;
        sortFn: (sortInfo: SorterResult<any>) => any;
        filterFn: (data: Recordable<string[]>) => any;
        autoCreateKey: boolean;
        striped: boolean;
        fetchSetting: Partial<FetchSetting>;
        emptyDataIsShowTable: boolean;
        showIndexColumn: boolean;
        canResize: boolean;
        isCanResizeParent: boolean;
        clearSelectOnPageChange: boolean;
        resizeHeightOffset: number;
        cacheEnable: boolean;
        showSettingColumn: boolean;
        fixTitleEmpty: boolean;
        topTabsActivedKey: string | number;
        stickyTitle: boolean;
        showScrollBtns: boolean;
        resizeFlow: boolean;
        customPagination: boolean;
        customPaginationSizeChangerSuffix: string;
        settingColumnProps: ColumnPropsEx<any>;
        draggableScroll: boolean;
        draggableScrollDelay: number;
        horizontalScrollUsingWheel: boolean;
        rowHeight: number;
        virtualList: boolean;
        virtualOffset: number;
    } & {
        api?: ((...arg: any[]) => Promise<any>) | undefined;
        title?: string | number | boolean | void | JSX.Element | VNodeArrayChildren | ((data: Recordable<any>) => string) | null | undefined;
        scroll?: {
            x?: string | number | true | undefined;
            y?: string | number | undefined;
            scrollToFirstRowOnChange?: boolean | undefined;
        } | undefined;
        dataSource?: Recordable<any> | undefined;
        afterFetch?: ((...arg: any[]) => any) | undefined;
        maxHeight?: number | undefined;
        rowKey?: string | ((record: Recordable<any>) => string) | undefined;
        rowClassName?: ((record: TableCustomRecord<any>, index: number) => string) | undefined;
        pagination?: boolean | PaginationProps | undefined;
        beforeFetch?: ((...arg: any[]) => any) | undefined;
        handleSearchInfoFn?: ((...arg: any[]) => any) | undefined;
        searchInfo?: Recordable<any> | undefined;
        defSort?: Recordable<any> | undefined;
        useSearchForm?: boolean | undefined;
        formConfig?: Partial<FormProps> | undefined;
        indexColumnProps?: ColumnPropsEx<any> | undefined;
        actionColumn?: ColumnPropsEx<any> | undefined;
        titleHelpMessage?: string | string[] | undefined;
        beforeEditSubmit?: ((data: {
            record: Recordable<any>;
            index: number;
            key: string | number;
            value: any;
        }) => Promise<any>) | undefined;
        cacheName?: string | undefined;
        titleActions?: TitleActionItem[] | undefined;
        topTabs?: TopTabPane[] | undefined;
        topTabsFetchParamkey?: string | undefined;
    }> & {
        onChange?: ((...args: any[]) => any) | undefined;
        "onColumns-change"?: ((...args: any[]) => any) | undefined;
        "onTab-click"?: ((...args: any[]) => any) | undefined;
        "onFetch-success"?: ((...args: any[]) => any) | undefined;
        "onFetch-error"?: ((...args: any[]) => any) | undefined;
        "onSelection-change"?: ((...args: any[]) => any) | undefined;
        onRegister?: ((...args: any[]) => any) | undefined;
        "onRow-click"?: ((...args: any[]) => any) | undefined;
        "onRow-dbClick"?: ((...args: any[]) => any) | undefined;
        "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
        "onRow-mouseenter"?: ((...args: any[]) => any) | undefined;
        "onRow-mouseleave"?: ((...args: any[]) => any) | undefined;
        "onEdit-end"?: ((...args: any[]) => any) | undefined;
        "onEdit-cancel"?: ((...args: any[]) => any) | undefined;
        "onEdit-row-end"?: ((...args: any[]) => any) | undefined;
        "onEdit-change"?: ((...args: any[]) => any) | undefined;
        "onExpanded-rows-change"?: ((...args: any[]) => any) | undefined;
        "onResize-column"?: ((...args: any[]) => any) | undefined;
        onFormRest?: ((...args: any[]) => any) | undefined;
        "onSort-change"?: ((...args: any[]) => any) | undefined;
        "onVirtual-scroll"?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        formRef: Ref<null>;
        tableElRef: any;
        getBindValues: ComputedRef<Recordable<any>>;
        getLoading: ComputedRef<boolean | undefined>;
        registerForm: RegisterFn;
        handleSearchInfoChange: (info: Recordable<any>) => void;
        getEmptyDataIsShowTable: ComputedRef<boolean>;
        handleTableChange: (pagination: any, filter: any, sorter: any, extra: any) => void;
        getRowClassName: (record: TableCustomRecord<Recordable<any>>, index: number) => string;
        wrapRef: Ref<null>;
        tableAction: TableActionType;
        redoHeight: () => void;
        getFormProps: any;
        replaceFormSlotKey: (key: string) => string;
        getFormSlotKeys: ComputedRef<string[]>;
        getWrapperClass: ComputedRef<unknown[]>;
        columns: ComputedRef<ColumnPropsEx<any>[]>;
        SETTING_COLUMN_INDEX: string;
        getScrollX: ComputedRef<number | "100%">;
        activedKey: Ref<string | number | undefined>;
        tabs: Ref<TopTabPane[] | undefined>;
        handleTabClick: (activeKey: TopTabPane) => void;
        getScrollRef: ComputedRef<{
            x: string | number | true;
            y: Nullable<string | number>;
            scrollToFirstRowOnChange: boolean;
        }>;
        handleReset: () => void;
        getPaginationInfo: ComputedRef<false | {
            total: number;
            defaultCurrent?: number | undefined;
            current: number;
            defaultPageSize: any;
            pageSize: any;
            hideOnSinglePage?: boolean | undefined;
            pageSizeOptions: string[];
            showSizeChanger: boolean;
            showQuickJumper: boolean;
            showTotal: ((total: number) => string) | ((total: number, range: [number, number]) => any);
            simple?: boolean | undefined;
            itemRender: typeof itemRender;
            position: string[];
            size: string;
        }>;
        dataSource: ComputedRef<({
            [x: string]: any;
        } & {
            _i: number;
        })[]>;
        virtualData: Ref<any[]>;
        isVirtualList: ComputedRef<boolean>;
        scrolls: ComputedRef<{
            x?: string | number | true | undefined;
            y?: string | number | undefined;
            scrollToFirstRowOnChange?: boolean | undefined;
        }>;
        handlers: InnerHandlers;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    clickToRowSelect?: unknown;
    isTreeTable?: unknown;
    tableSetting?: unknown;
    showTableSetting?: unknown;
    inset?: unknown;
    sortFn?: unknown;
    filterFn?: unknown;
    autoCreateKey?: unknown;
    striped?: unknown;
    indentSize?: unknown;
    api?: unknown;
    beforeFetch?: unknown;
    afterFetch?: unknown;
    handleSearchInfoFn?: unknown;
    fetchSetting?: unknown;
    immediate?: unknown;
    emptyDataIsShowTable?: unknown;
    searchInfo?: unknown;
    defSort?: unknown;
    useSearchForm?: unknown;
    formConfig?: unknown;
    columns?: unknown;
    showIndexColumn?: unknown;
    indexColumnProps?: unknown;
    actionColumn?: unknown;
    ellipsis?: unknown;
    canResize?: unknown;
    isCanResizeParent?: unknown;
    clearSelectOnPageChange?: unknown;
    resizeHeightOffset?: unknown;
    rowSelection?: unknown;
    title?: unknown;
    titleHelpMessage?: unknown;
    maxHeight?: unknown;
    dataSource?: unknown;
    rowKey?: unknown;
    bordered?: unknown;
    pagination?: unknown;
    loading?: unknown;
    rowClassName?: unknown;
    scroll?: unknown;
    beforeEditSubmit?: unknown;
    size?: unknown;
    cacheName?: unknown;
    cacheEnable?: unknown;
    titleActions?: unknown;
    showSettingColumn?: unknown;
    fixTitleEmpty?: unknown;
    topTabs?: unknown;
    topTabsActivedKey?: unknown;
    topTabsFetchParamkey?: unknown;
    sticky?: unknown;
    stickyTitle?: unknown;
    showScrollBtns?: unknown;
    resizeFlow?: unknown;
    customPagination?: unknown;
    customPaginationSizeChangerSuffix?: unknown;
    settingColumnProps?: unknown;
    draggableScroll?: unknown;
    draggableScrollDelay?: unknown;
    horizontalScrollUsingWheel?: unknown;
    rowHeight?: unknown;
    virtualList?: unknown;
    virtualOffset?: unknown;
} & {
    size: SizeType;
    bordered: boolean;
    loading: boolean;
    immediate: boolean;
    sticky: boolean | {
        offsetHeader?: number | undefined;
        offsetScroll?: number | undefined;
        getContainer?: (() => HTMLElement) | undefined;
    };
    ellipsis: boolean;
    inset: boolean;
    columns: ColumnPropsEx<any>[];
    indentSize: number;
    rowSelection: TableRowSelection<any> | null;
    clickToRowSelect: boolean;
    isTreeTable: boolean;
    tableSetting: TableSetting;
    showTableSetting: boolean;
    sortFn: (sortInfo: SorterResult<any>) => any;
    filterFn: (data: Recordable<string[]>) => any;
    autoCreateKey: boolean;
    striped: boolean;
    fetchSetting: Partial<FetchSetting>;
    emptyDataIsShowTable: boolean;
    showIndexColumn: boolean;
    canResize: boolean;
    isCanResizeParent: boolean;
    clearSelectOnPageChange: boolean;
    resizeHeightOffset: number;
    cacheEnable: boolean;
    showSettingColumn: boolean;
    fixTitleEmpty: boolean;
    topTabsActivedKey: string | number;
    stickyTitle: boolean;
    showScrollBtns: boolean;
    resizeFlow: boolean;
    customPagination: boolean;
    customPaginationSizeChangerSuffix: string;
    settingColumnProps: ColumnPropsEx<any>;
    draggableScroll: boolean;
    draggableScrollDelay: number;
    horizontalScrollUsingWheel: boolean;
    rowHeight: number;
    virtualList: boolean;
    virtualOffset: number;
} & {
    api?: ((...arg: any[]) => Promise<any>) | undefined;
    title?: string | number | boolean | void | JSX.Element | VNodeArrayChildren | ((data: Recordable<any>) => string) | null | undefined;
    scroll?: {
        x?: string | number | true | undefined;
        y?: string | number | undefined;
        scrollToFirstRowOnChange?: boolean | undefined;
    } | undefined;
    dataSource?: Recordable<any> | undefined;
    afterFetch?: ((...arg: any[]) => any) | undefined;
    maxHeight?: number | undefined;
    rowKey?: string | ((record: Recordable<any>) => string) | undefined;
    rowClassName?: ((record: TableCustomRecord<any>, index: number) => string) | undefined;
    pagination?: boolean | PaginationProps | undefined;
    beforeFetch?: ((...arg: any[]) => any) | undefined;
    handleSearchInfoFn?: ((...arg: any[]) => any) | undefined;
    searchInfo?: Recordable<any> | undefined;
    defSort?: Recordable<any> | undefined;
    useSearchForm?: boolean | undefined;
    formConfig?: Partial<FormProps> | undefined;
    indexColumnProps?: ColumnPropsEx<any> | undefined;
    actionColumn?: ColumnPropsEx<any> | undefined;
    titleHelpMessage?: string | string[] | undefined;
    beforeEditSubmit?: ((data: {
        record: Recordable<any>;
        index: number;
        key: string | number;
        value: any;
    }) => Promise<any>) | undefined;
    cacheName?: string | undefined;
    titleActions?: TitleActionItem[] | undefined;
    topTabs?: TopTabPane[] | undefined;
    topTabsFetchParamkey?: string | undefined;
}> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onColumns-change"?: ((...args: any[]) => any) | undefined;
    "onTab-click"?: ((...args: any[]) => any) | undefined;
    "onFetch-success"?: ((...args: any[]) => any) | undefined;
    "onFetch-error"?: ((...args: any[]) => any) | undefined;
    "onSelection-change"?: ((...args: any[]) => any) | undefined;
    onRegister?: ((...args: any[]) => any) | undefined;
    "onRow-click"?: ((...args: any[]) => any) | undefined;
    "onRow-dbClick"?: ((...args: any[]) => any) | undefined;
    "onRow-contextmenu"?: ((...args: any[]) => any) | undefined;
    "onRow-mouseenter"?: ((...args: any[]) => any) | undefined;
    "onRow-mouseleave"?: ((...args: any[]) => any) | undefined;
    "onEdit-end"?: ((...args: any[]) => any) | undefined;
    "onEdit-cancel"?: ((...args: any[]) => any) | undefined;
    "onEdit-row-end"?: ((...args: any[]) => any) | undefined;
    "onEdit-change"?: ((...args: any[]) => any) | undefined;
    "onExpanded-rows-change"?: ((...args: any[]) => any) | undefined;
    "onResize-column"?: ((...args: any[]) => any) | undefined;
    onFormRest?: ((...args: any[]) => any) | undefined;
    "onSort-change"?: ((...args: any[]) => any) | undefined;
    "onVirtual-scroll"?: ((...args: any[]) => any) | undefined;
}, {
    formRef: Ref<null>;
    tableElRef: any;
    getBindValues: ComputedRef<Recordable<any>>;
    getLoading: ComputedRef<boolean | undefined>;
    registerForm: RegisterFn;
    handleSearchInfoChange: (info: Recordable<any>) => void;
    getEmptyDataIsShowTable: ComputedRef<boolean>;
    handleTableChange: (pagination: any, filter: any, sorter: any, extra: any) => void;
    getRowClassName: (record: TableCustomRecord<Recordable<any>>, index: number) => string;
    wrapRef: Ref<null>;
    tableAction: TableActionType;
    redoHeight: () => void;
    getFormProps: any;
    replaceFormSlotKey: (key: string) => string;
    getFormSlotKeys: ComputedRef<string[]>;
    getWrapperClass: ComputedRef<unknown[]>;
    columns: ComputedRef<ColumnPropsEx<any>[]>;
    SETTING_COLUMN_INDEX: string;
    getScrollX: ComputedRef<number | "100%">;
    activedKey: Ref<string | number | undefined>;
    tabs: Ref<TopTabPane[] | undefined>;
    handleTabClick: (activeKey: TopTabPane) => void;
    getScrollRef: ComputedRef<{
        x: string | number | true;
        y: Nullable<string | number>;
        scrollToFirstRowOnChange: boolean;
    }>;
    handleReset: () => void;
    getPaginationInfo: ComputedRef<false | {
        total: number;
        defaultCurrent?: number | undefined;
        current: number;
        defaultPageSize: any;
        pageSize: any;
        hideOnSinglePage?: boolean | undefined;
        pageSizeOptions: string[];
        showSizeChanger: boolean;
        showQuickJumper: boolean;
        showTotal: ((total: number) => string) | ((total: number, range: [number, number]) => any);
        simple?: boolean | undefined;
        itemRender: typeof itemRender;
        position: string[];
        size: string;
    }>;
    dataSource: ComputedRef<({
        [x: string]: any;
    } & {
        _i: number;
    })[]>;
    virtualData: Ref<any[]>;
    isVirtualList: ComputedRef<boolean>;
    scrolls: ComputedRef<{
        x?: string | number | true | undefined;
        y?: string | number | undefined;
        scrollToFirstRowOnChange?: boolean | undefined;
    }>;
    handlers: InnerHandlers;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "columns-change" | "tab-click" | "fetch-success" | "fetch-error" | "selection-change" | "register" | "row-click" | "row-dbClick" | "row-contextmenu" | "row-mouseenter" | "row-mouseleave" | "edit-end" | "edit-cancel" | "edit-row-end" | "edit-change" | "expanded-rows-change" | "resize-column" | "formRest" | "sort-change" | "virtual-scroll")[], "change" | "columns-change" | "tab-click" | "fetch-success" | "fetch-error" | "selection-change" | "register" | "row-click" | "row-dbClick" | "row-contextmenu" | "row-mouseenter" | "row-mouseleave" | "edit-end" | "edit-cancel" | "edit-row-end" | "edit-change" | "expanded-rows-change" | "resize-column" | "formRest" | "sort-change" | "virtual-scroll", {
    size: SizeType;
    bordered: boolean;
    loading: boolean;
    immediate: boolean;
    sticky: boolean | {
        offsetHeader?: number | undefined;
        offsetScroll?: number | undefined;
        getContainer?: (() => HTMLElement) | undefined;
    };
    ellipsis: boolean;
    inset: boolean;
    columns: ColumnPropsEx<any>[];
    indentSize: number;
    rowSelection: TableRowSelection<any> | null;
    clickToRowSelect: boolean;
    isTreeTable: boolean;
    tableSetting: TableSetting;
    showTableSetting: boolean;
    sortFn: (sortInfo: SorterResult<any>) => any;
    filterFn: (data: Recordable<string[]>) => any;
    autoCreateKey: boolean;
    striped: boolean;
    fetchSetting: Partial<FetchSetting>;
    emptyDataIsShowTable: boolean;
    showIndexColumn: boolean;
    canResize: boolean;
    isCanResizeParent: boolean;
    clearSelectOnPageChange: boolean;
    resizeHeightOffset: number;
    cacheEnable: boolean;
    showSettingColumn: boolean;
    fixTitleEmpty: boolean;
    topTabsActivedKey: string | number;
    stickyTitle: boolean;
    showScrollBtns: boolean;
    resizeFlow: boolean;
    customPagination: boolean;
    customPaginationSizeChangerSuffix: string;
    settingColumnProps: ColumnPropsEx<any>;
    draggableScroll: boolean;
    draggableScrollDelay: number;
    horizontalScrollUsingWheel: boolean;
    rowHeight: number;
    virtualList: boolean;
    virtualOffset: number;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
